------------------------------------------------------------------------
r8397 | divverent | 2008-07-11 03:25:26 -0700 (Fri, 11 Jul 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

add DP_SV_WRITEPICTURE and DP_QC_WHICHPACK

------------------------------------------------------------------------
r8388 | havoc | 2008-07-07 02:25:02 -0700 (Mon, 07 Jul 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

patch from KrimZon adding DP_QC_ENTITYDATA extension

------------------------------------------------------------------------
r8375 | havoc | 2008-06-25 14:10:00 -0700 (Wed, 25 Jun 2008) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/util.qc

changed the default lhbitparms configuration to only use 6 bits of
exponent for parms, because using 7 bits breaks savegames (can't save
small fractions reliably)

------------------------------------------------------------------------
r8344 | havoc | 2008-06-08 22:05:45 -0700 (Sun, 08 Jun 2008) | 5 lines
Changed paths:
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/ai.qc

default monsterwander on
added monsterbosspercent cvar, default 1 (1% chance of boss monster)
tweaked boss monsters to be substantially easier, especially on lower
skill levels, as they were too powerful for singleplayer

------------------------------------------------------------------------
r8343 | havoc | 2008-06-08 22:04:37 -0700 (Sun, 08 Jun 2008) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

fix precache warning for temporary spawn-shield sound on a level with no
pentagram powerup
fix precache warning on quad sounds when cheat is used on a level with
no quad powerup

------------------------------------------------------------------------
r8323 | divverent | 2008-06-01 06:23:59 -0700 (Sun, 01 Jun 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

sync dpextensions with Nexuiz

------------------------------------------------------------------------
r8322 | divverent | 2008-06-01 06:19:49 -0700 (Sun, 01 Jun 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

add DP_QC_SPAWNFUNC_PREFIX

------------------------------------------------------------------------
r8297 | havoc | 2008-05-17 18:34:09 -0700 (Sat, 17 May 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

correct a typo in strftime example

------------------------------------------------------------------------
r8223 | dresk | 2008-03-22 20:27:11 -0700 (Sat, 22 Mar 2008) | 9 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added DP_SV_MOVETYPESTEP_LANDEVENT field function.

This field function, when provided, is triggered on a MOVETYPE_STEP entity when it experiences  "land event".

The standard engine behavior for this event is to play the sv_sound_land CVar sound.

The parameter provides the velocity of the entity at the time of the impact.  The z value may therefore be used to calculate how "hard" the entity struck the surface.

NOTE: If this field function is provided on a MOVETYPE_STEP entity, the standard sv_sound_land sound IS SUPPRESSED to allow for authors to create their own feedback.
------------------------------------------------------------------------
r8216 | havoc | 2008-03-18 19:27:12 -0700 (Tue, 18 Mar 2008) | 3 lines
Changed paths:
   D /trunk/dpmod/effectinfo.txt
   A /trunk/dpmod/sample_effectinfo.txt (from /trunk/dpmod/effectinfo.txt:7754)

moved aside effectinfo.txt because it's starting to fall behind the
engine effects

------------------------------------------------------------------------
r8190 | havoc | 2008-03-04 12:35:22 -0800 (Tue, 04 Mar 2008) | 2 lines
Changed paths:
   A /trunk/dpmod/waypoints
   A /trunk/dpmod/waypoints/dm1.waypoints

dm1 waypoints contributed by TGressus

------------------------------------------------------------------------
r8150 | havoc | 2008-02-27 08:46:26 -0800 (Wed, 27 Feb 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

DP_QC_NUM_FOR_EDICT extension added by Blub

------------------------------------------------------------------------
r8117 | divverent | 2008-02-21 02:09:25 -0800 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

merge extensions.qh

------------------------------------------------------------------------
r8114 | havoc | 2008-02-21 01:17:07 -0800 (Thu, 21 Feb 2008) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

updated DP_GFX_EXTERNALTEXTURES documentation with player.mdl_0 skin
examples from the readme, since these are much more clear
also clarified the image formats list

------------------------------------------------------------------------
r8110 | havoc | 2008-02-20 22:17:39 -0800 (Wed, 20 Feb 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QC_EDICT_NUM documentation

------------------------------------------------------------------------
r8109 | havoc | 2008-02-20 22:17:27 -0800 (Wed, 20 Feb 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc

remove an unused field

------------------------------------------------------------------------
r8103 | havoc | 2008-02-17 18:03:25 -0800 (Sun, 17 Feb 2008) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/misc.qc

changed func_rotate behavior a bit, no longer requires a targetted
entity (so you can now just set the origin manually in the entity)

------------------------------------------------------------------------
r8102 | havoc | 2008-02-17 18:01:51 -0800 (Sun, 17 Feb 2008) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc

move waypoints up if they're stuck in the floor (such as dumped by
omicron bots)

------------------------------------------------------------------------
r8025 | black | 2008-01-27 09:23:08 -0800 (Sun, 27 Jan 2008) | 3 lines
Changed paths:
   M /trunk/darkplaces/cl_gecko.c
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/clvm_cmds.h
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

Pass the name of the instance to Gecko_Query, too.
Add setattachment, gettaginfo and gettagindex to menu builtin list, too.
Add DP_GECKO_SUPPORT and DP_QC_GETSURFACEPOINTATTRIB to dpextensions.qc.
------------------------------------------------------------------------
r8022 | havoc | 2008-01-26 19:55:55 -0800 (Sat, 26 Jan 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

oops, remove something not meant to be committed yet

------------------------------------------------------------------------
r8021 | havoc | 2008-01-26 19:54:53 -0800 (Sat, 26 Jan 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

removed DP_CGAME (which was removed from the engine a long time ago)

------------------------------------------------------------------------
r7984 | divverent | 2008-01-19 03:23:34 -0800 (Sat, 19 Jan 2008) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

add new stuff to dpextensions.qc

------------------------------------------------------------------------
r7960 | havoc | 2008-01-14 21:33:52 -0800 (Mon, 14 Jan 2008) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

disabled "was in solid" death when player or monster has origin in a
solid object

------------------------------------------------------------------------
r7947 | black | 2008-01-10 02:07:32 -0800 (Thu, 10 Jan 2008) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/dpmod/qc/client/csqc_builtins.h

Fix a bug in the automatically generated builtin file.
------------------------------------------------------------------------
r7932 | black | 2008-01-07 09:34:19 -0800 (Mon, 07 Jan 2008) | 1 line
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/dpmod/qc/client/csqc_builtins.h

Flush comment fixes and update dpmod's csqc_builtins.h.
------------------------------------------------------------------------
r7880 | havoc | 2007-12-29 18:56:15 -0800 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/decors.qc

disable debugging bubble sprites on qcphysics

------------------------------------------------------------------------
r7873 | res | 2007-12-28 04:57:01 -0800 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client/csqc_builtins.h
   M /trunk/dpmod/qc/client/csqc_constants.h

Sync scene rendering + polygon CSQC builtins with actual DP implementation

------------------------------------------------------------------------
r7869 | havoc | 2007-12-27 07:15:26 -0800 (Thu, 27 Dec 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/decors.qc
   M /trunk/dpmod/qc/m_zombie.qc

fix undead monster heads attacking the player (now spawns a new decor
instead of keeping around the monster entity, so any AI fields are quite
dead)

------------------------------------------------------------------------
r7868 | havoc | 2007-12-27 07:14:47 -0800 (Thu, 27 Dec 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/mode_management.qc

slight cleanup of spawnmonsters code

------------------------------------------------------------------------
r7802 | black | 2007-12-16 14:12:34 -0800 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   A /trunk/dpmod/qc/client
   A /trunk/dpmod/qc/client/csqc_builtins.h
   A /trunk/dpmod/qc/client/csqc_constants.h

I pronounce this the official DP csqc repository. Add your DP csqc extensions here.
------------------------------------------------------------------------
r7773 | havoc | 2007-12-06 09:31:40 -0800 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QC_VECTOANGLES_WITH_ROLL

------------------------------------------------------------------------
r7761 | havoc | 2007-12-03 21:18:09 -0800 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/world.qc

unfinished tower defense mode, not playable yet

------------------------------------------------------------------------
r7705 | havoc | 2007-11-18 08:06:36 -0800 (Sun, 18 Nov 2007) | 7 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/projectiles.qc
   M /trunk/dpmod/qc/util.qc
   M /trunk/dpmod/qc/w_system.qc

reworked bot aiming code to use motion tracking, this makes them much
more convincing
fixed bot aiming of grenade launcher so they no longer aim too high
(this required updating some monster code for a new parameter)
changed rocket speed to 2000 and removed the initial acceleration
increased laser rifle damage by 50%

------------------------------------------------------------------------
r7704 | havoc | 2007-11-18 08:01:44 -0800 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc

changed starting health in deathmatch to 100

------------------------------------------------------------------------
r7703 | havoc | 2007-11-18 06:04:32 -0800 (Sun, 18 Nov 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/romi_rtlights.pk3
   M /trunk/dpmod/romi_rtlights_dm.pk3

updated romi rtlights pack
removed dm1.rtlights from romi rtlights dm pack because it is superseded
by the romi rtlights pack (don't see any other dm map updates)

------------------------------------------------------------------------
r7617 | sajt | 2007-10-09 12:53:53 -0700 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added DP_QC_STRREPLACE
------------------------------------------------------------------------
r7604 | divverent | 2007-10-06 12:23:52 -0700 (Sat, 06 Oct 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

add DP_CON_BESTWEAPON (customizable bestweapon command for use by mods)

------------------------------------------------------------------------
r7538 | dresk | 2007-08-26 12:06:36 -0700 (Sun, 26 Aug 2007) | 1 line
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added pointsound function (DP_SV_POINTSOUND, #483).
------------------------------------------------------------------------
r7529 | havoc | 2007-08-22 00:46:55 -0700 (Wed, 22 Aug 2007) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc

disabled random boss monsters on nightmare and higher difficulties
because they were just too cruel

------------------------------------------------------------------------
r7526 | dresk | 2007-08-15 23:40:05 -0700 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added DP_SV_ONENTITYNOSPAWNFUNCTION extension and description (see engine SV_OnEntityNoSpawnFunction).
------------------------------------------------------------------------
r7521 | havoc | 2007-08-11 05:36:55 -0700 (Sat, 11 Aug 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/fight.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc

tweaked shalrath missiles so they correct their aim gradually rather
than instantly, added shalrath melee attack
added random boss monsters in nightmare difficulty

------------------------------------------------------------------------
r7520 | havoc | 2007-08-11 05:35:34 -0700 (Sat, 11 Aug 2007) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/t_damage.qc

reverted T_RadiusDamage code because the game was freezing for a second
or more each time a rocket hit a group of monsters

------------------------------------------------------------------------
r7503 | divverent | 2007-08-06 01:54:38 -0700 (Mon, 06 Aug 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

add FTE_STRINGS to dpextensions.qc

------------------------------------------------------------------------
r7468 | havoc | 2007-07-07 18:57:00 -0700 (Sat, 07 Jul 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

a silly little raytracing performance test in the shotgun code (only
enable if you really want to know how long it takes to fire a lot of
rays)

------------------------------------------------------------------------
r7436 | havoc | 2007-06-16 17:16:12 -0700 (Sat, 16 Jun 2007) | 6 lines
Changed paths:
   M /trunk/dpmod/maps/b_exbox2.bsp
   M /trunk/dpmod/maps/b_explob.bsp

fixed explobox models so that they have their origin at exactly 0 0 0
rather than slightly off from it, this fixes a bug where using these
models in other mods caused them to be unable to receive splash damage
(the origin was slightly under the floor and the tracelines to check if
the damage was obstructed failed as a result)

------------------------------------------------------------------------
r7434 | havoc | 2007-06-16 16:28:31 -0700 (Sat, 16 Jun 2007) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/decors.qc

improved dpmod_qcphysics behavior, sticks are now SOLID_CORPSE and have
a bounding box, this makes the objects interact a bit more, objects
no longer come to rest ontop of a pusher (door, lift, etc), though they
are still not pushed by it either

------------------------------------------------------------------------
r7433 | havoc | 2007-06-16 15:22:51 -0700 (Sat, 16 Jun 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/decors.qc

reworked Ragdoll_Think to make use of the new
sv_gameplayfix_multiplethinksperframe feature, and implemented resting
states and damping

------------------------------------------------------------------------
r7391 | havoc | 2007-06-05 21:15:12 -0700 (Tue, 05 Jun 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/decors.qc
   M /trunk/dpmod/qc/t_damage.qc

fixed several problems in dpmod_qcphysics code

------------------------------------------------------------------------
r7384 | havoc | 2007-05-31 18:33:34 -0700 (Thu, 31 May 2007) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/protocol.h
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

added DP_EF_NOGUNBOB extension

------------------------------------------------------------------------
r7357 | havoc | 2007-05-23 15:36:18 -0700 (Wed, 23 May 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QC_CVAR_DEFSTRING extension

------------------------------------------------------------------------
r7353 | havoc | 2007-05-23 15:06:18 -0700 (Wed, 23 May 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

changed DP_SV_MODELFLAGS_AS_EFFECTS extension a bit

------------------------------------------------------------------------
r7351 | havoc | 2007-05-23 11:49:00 -0700 (Wed, 23 May 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_SV_MODELFLAGS_AS_EFFECTS extension

------------------------------------------------------------------------
r7345 | havoc | 2007-05-22 22:12:03 -0700 (Tue, 22 May 2007) | 8 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/superdomination.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/world.qc

upped zombie health from 200 to 310 and gave them full health regen in 1
second, this renders all weapons useless against them except their
vulnerabilities (explosives, and now the axe as well) unless you have
quad
made pain code trigger on shotgun blasts by accumulating health damage
each frame
some changes to the unused superdomination mode to make it work

------------------------------------------------------------------------
r7332 | havoc | 2007-05-21 16:11:19 -0700 (Mon, 21 May 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_SV_POINTPARTICLES extension definition
moved DP_SV_NETADDRESS extension definition to its proper
alphanumerically sorted location in the file

------------------------------------------------------------------------
r7217 | dresk | 2007-04-30 10:30:09 -0700 (Mon, 30 Apr 2007) | 1 line
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added DP_QC_STRING_CASE_FUNCTIONS
------------------------------------------------------------------------
r7201 | havoc | 2007-04-26 07:18:32 -0700 (Thu, 26 Apr 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/decors.qc

make tarbabies respond correctly to dpmod_gibbagemultiplier and ekg

------------------------------------------------------------------------
r7200 | havoc | 2007-04-26 07:08:43 -0700 (Thu, 26 Apr 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/decors.qc
   M /trunk/dpmod/qc/fight.qc
   M /trunk/dpmod/qc/items.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/projectiles.qc

substantial optimizations for helm18 (the 10000 knights map)
(mostly a lot of distance checks before doing traceline calls)
new decor removal code plays nicer and can cope with thousands of decors

------------------------------------------------------------------------
r7199 | havoc | 2007-04-26 07:07:56 -0700 (Thu, 26 Apr 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc

changed rocket force from 880 to 440, matching the rocket jump force in
quake, this means that enemies are not thrown around as much as in
quake, but also means that rocket jumps are no longer insane

------------------------------------------------------------------------
r7198 | havoc | 2007-04-26 07:05:23 -0700 (Thu, 26 Apr 2007) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/mode_elimination.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/teamplay.qc

removed "teamscore" entity code
removed "teamentity" code
removed .teament field
replaced team management code

------------------------------------------------------------------------
r7196 | havoc | 2007-04-25 11:16:19 -0700 (Wed, 25 Apr 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/decors.qc

fixed missing precache and an unused variable

------------------------------------------------------------------------
r7195 | havoc | 2007-04-25 10:48:17 -0700 (Wed, 25 Apr 2007) | 3 lines
Changed paths:
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/decors.qc

added meatspray to gibbings, with a satisfying splat sound
added a couple cvars - nothing to see here, move along, move along ;)

------------------------------------------------------------------------
r7163 | dresk | 2007-04-23 13:34:10 -0700 (Mon, 23 Apr 2007) | 1 line
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added DP_SV_NETADDRESS
------------------------------------------------------------------------
r7156 | havoc | 2007-04-23 03:50:09 -0700 (Mon, 23 Apr 2007) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc

tweaked ammo drops from monsters
upped cell damage back to 30 from 25

------------------------------------------------------------------------
r7155 | havoc | 2007-04-23 03:47:45 -0700 (Mon, 23 Apr 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_enforcer.qc

fix super shotgun enforcers so they drop their weapon

------------------------------------------------------------------------
r7139 | havoc | 2007-04-18 05:21:35 -0700 (Wed, 18 Apr 2007) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/items.qc

changed AMMOMAX_SHELLS and so on to have SP and DM versions, so you can
carry tons of ammo in SP but not in DM
changed item spawning to use droptofloor which fixes many maps
changed havocbot rating code for ammo pickups to be a bit more logical

------------------------------------------------------------------------
r7138 | havoc | 2007-04-18 05:17:30 -0700 (Wed, 18 Apr 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc

gave fish, deathknight, shambler, tarbaby, wizard, and zombie a biosuit

------------------------------------------------------------------------
r7137 | havoc | 2007-04-18 05:16:22 -0700 (Wed, 18 Apr 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_shalrath.qc

back to unshootable shalrath missiles

------------------------------------------------------------------------
r7136 | havoc | 2007-04-18 05:16:00 -0700 (Wed, 18 Apr 2007) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/m_monsters.qc

changed back to using droptofloor for monsters, this fixes quite a few
maps

------------------------------------------------------------------------
r7135 | havoc | 2007-04-18 05:15:10 -0700 (Wed, 18 Apr 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

changed skill-based monster damage scaling to be 50% + 25% per skill
(nightmare = 125%)
it was previously 50% + 50% per skill (nightmare = 200%)

------------------------------------------------------------------------
r7078 | havoc | 2007-04-08 05:42:51 -0700 (Sun, 08 Apr 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc

fixed forcescale values on all the monsters, they were all very very wrong (shamblers were easier to knock around than a player for example!), they are now correct values in relation to player mass

------------------------------------------------------------------------
r7077 | havoc | 2007-04-08 05:42:03 -0700 (Sun, 08 Apr 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc

lowered axe damage from 80 to 60, lowered shell damage from 56 to 48, lowered rocket damage from 150 to 110 and increased force from 200 to 880 (matching quake), increased ro
cket radius from 200 to 240, reduced cell damage from 30 to 25
changed DT_LIGHTNING to no longer ignore armor, this makes it less deadly to players

------------------------------------------------------------------------
r7076 | havoc | 2007-04-08 05:38:09 -0700 (Sun, 08 Apr 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

changed lightning gun to fire 20 half-cell shots per second for smoother sweeping

------------------------------------------------------------------------
r7075 | havoc | 2007-04-08 05:37:46 -0700 (Sun, 08 Apr 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/projectiles.qc

show up to 3 bullet projectiles in multiplayer (meaning 3 per barrel on the shotguns, and all nails are visible)

------------------------------------------------------------------------
r7033 | havoc | 2007-03-30 13:49:56 -0700 (Fri, 30 Mar 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/effectinfo.txt

shortened grenade trail

------------------------------------------------------------------------
r7019 | havoc | 2007-03-28 18:40:40 -0700 (Wed, 28 Mar 2007) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QC_TOKENIZEBYSEPARATOR extension
added .float disableclientprediction (no extension name given to it yet)

------------------------------------------------------------------------
r6986 | havoc | 2007-03-15 08:16:06 -0700 (Thu, 15 Mar 2007) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/mode_management.qc

fixed really bad bug in deathmatch 7 spawn point selection that caused it to pick the same spawn point every time
player spawning now picks the next spawn point rather than always the same spawn point if all points are blocked (such as in deathmatch 7 in maps too small for the number of monsters)

------------------------------------------------------------------------
r6859 | havoc | 2007-02-18 17:03:29 -0800 (Sun, 18 Feb 2007) | 2 lines
Changed paths:
   A /trunk/dpmod/romi_rtlights_dm.pk3

added an old dm rtlights pack that is no longer available on romi's rtlights site

------------------------------------------------------------------------
r6829 | havoc | 2007-02-12 07:12:29 -0800 (Mon, 12 Feb 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

no need to precache playergun/playernogun models as they're not being used

------------------------------------------------------------------------
r6804 | havoc | 2007-02-08 02:17:12 -0800 (Thu, 08 Feb 2007) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QC_STRFTIME extension
moved DP_QC_STRINGCOLORFUNCTIONS and DP_QC_UNLIMITEDTEMPSTRINGS to their proper (sorted) positions in the extension docs

------------------------------------------------------------------------
r6784 | havoc | 2007-02-03 04:27:23 -0800 (Sat, 03 Feb 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/dpextensions.qc

revised some builtin prototypes to indicate they can take multiple strings

------------------------------------------------------------------------
r6783 | havoc | 2007-02-03 04:15:06 -0800 (Sat, 03 Feb 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_SV_PRINT extension

------------------------------------------------------------------------
r6752 | havoc | 2007-01-24 11:35:41 -0800 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

and another word (guarentee -> guarantee)

------------------------------------------------------------------------
r6751 | havoc | 2007-01-24 11:34:57 -0800 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

corrected spelling of a word (supercede should be supersede)

------------------------------------------------------------------------
r6750 | havoc | 2007-01-24 10:40:26 -0800 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/darkplaces/todo
   M /trunk/dpmod/qc/dpextensions.qc

added BX_WAL_SUPPORT to extensions list and documented it (.wal texture support has been in for a long time before this)

------------------------------------------------------------------------
r6724 | havoc | 2007-01-22 06:38:20 -0800 (Mon, 22 Jan 2007) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

added w_muzzleflash call to lightning gun
tweaked recoil parameter in a few w_muzzleflash calls
removed spread on nailguns (now only the recoil makes them slightly inaccurate)

------------------------------------------------------------------------
r6723 | havoc | 2007-01-22 06:37:08 -0800 (Mon, 22 Jan 2007) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/mode_management.qc

deathmatch 7 mode no longer spawns registered monsters in shareware quake
deathmatch 7 mode now spawns fish (of course they only spawn if they land in water)
scrags are now spawned closer to the spawn point (by way of spawning sooner) and use toss physics like the other monster spawns
increased size of zombie groups and some other tweaks

------------------------------------------------------------------------
r6642 | havoc | 2006-12-09 03:09:28 -0800 (Sat, 09 Dec 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/sv_user.qc

fixed the 'not moving while looking straight up/down when noclipping' bug (which existed in Quake also, but Quake didn't let you look straight up/down)

------------------------------------------------------------------------
r6627 | havoc | 2006-11-24 17:28:12 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/darkplaces/progs.h
   M /trunk/darkplaces/sv_main.c
   M /trunk/darkplaces/sv_phys.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

patch from Dresk which adds DP_SV_ENTITYCONTENTSTRANSITION extension which calls a .contentstransition(oldcontents, newcontents) when the quake physics code detects a contents transition (empty to water for example)

------------------------------------------------------------------------
r6626 | havoc | 2006-11-24 14:55:08 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/darkplaces/clvm_cmds.c
   M /trunk/darkplaces/mvm_cmds.c
   M /trunk/darkplaces/prvm_cmds.c
   M /trunk/darkplaces/prvm_cmds.h
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

patch from Dresk for DP_QC_STRINGCOLORFUNCTIONS extension (strlennocol measures length of string with color chars removed (useful for centering text), strdecolorize returns a string with color codes stripped)

------------------------------------------------------------------------
r6623 | havoc | 2006-11-22 16:07:47 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QC_ASINACOSATANATAN2TAN extension which adds common trig functions missing from standard QuakeC

------------------------------------------------------------------------
r6601 | havoc | 2006-10-05 22:35:31 -0700 (Thu, 05 Oct 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/domination.qc

fixed location of one domination point in e1m4

------------------------------------------------------------------------
r6600 | havoc | 2006-10-05 21:38:18 -0700 (Thu, 05 Oct 2006) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/items.qc
   M /trunk/dpmod/qc/w_system.qc

disabled plasma wave (now placable as a weapon but not given by lightning gun pickups) because it is just too powerful for DM and makes singleplayer too easy
corrected pickup messages for grenade launcher and lightning gun
rebalanced plasma weapons a bit

------------------------------------------------------------------------
r6599 | havoc | 2006-10-05 21:36:35 -0700 (Thu, 05 Oct 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/domination.qc

domination improvements, added some maps

------------------------------------------------------------------------
r6598 | havoc | 2006-10-05 21:36:08 -0700 (Thu, 05 Oct 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc

fix bug where monsters keep getting mad at you after you die

------------------------------------------------------------------------
r6550 | havoc | 2006-08-13 22:16:22 -0700 (Sun, 13 Aug 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/mode_management.qc

no longer spawns hellfish groups in deathmatch 7

------------------------------------------------------------------------
r6547 | havoc | 2006-08-05 14:14:05 -0700 (Sat, 05 Aug 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

don't play landing and water-jump noises for monsters

------------------------------------------------------------------------
r6546 | havoc | 2006-08-05 13:07:29 -0700 (Sat, 05 Aug 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/t_damage.qc

changed health check for dying to < 1 rather than <= 0 because of the annoying view tilt that occurs on the client

------------------------------------------------------------------------
r6536 | havoc | 2006-07-27 06:22:37 -0700 (Thu, 27 Jul 2006) | 3 lines
Changed paths:
   A /trunk/dpmod/ghostly.txt
   M /trunk/dpmod/qc/CTF.qc
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/decors.qc
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/dpextensions.qc
   M /trunk/dpmod/qc/havocbot_roles.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_monsters.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/projectiles.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/world.qc

added my speedmod entry for QuakeExpo 2006
note: due to time constraints this includes some other changes I was going to commit separately (such as CTF.qc cleanups, some bugfixes in havocbot_roles.qc, spawn protection, and a minor addition to the unfinished rigidbody dynamics code)

------------------------------------------------------------------------
r6383 | havoc | 2006-05-24 22:18:42 -0700 (Wed, 24 May 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

changed liquid damage back to quake style (a lot less slime damage, less lava damage)

------------------------------------------------------------------------
r6382 | havoc | 2006-05-24 22:17:28 -0700 (Wed, 24 May 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

removed teleport zoom effect

------------------------------------------------------------------------
r6381 | havoc | 2006-05-24 21:14:16 -0700 (Wed, 24 May 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg

added cl_beams_quakepositionhack 0

------------------------------------------------------------------------
r6371 | havoc | 2006-05-21 10:06:43 -0700 (Sun, 21 May 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc

optimizations of checkplayer code, and it is now commented out, went back to using checkclient builtin for more performance

------------------------------------------------------------------------
r6302 | havoc | 2006-04-17 23:07:51 -0700 (Mon, 17 Apr 2006) | 2 lines
Changed paths:
   D /trunk/dpmod/gfx

removed the dpmod conback image as it's quite useless

------------------------------------------------------------------------
r6267 | havoc | 2006-04-12 14:51:04 -0700 (Wed, 12 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/effectinfo.txt

fix bug with alphastatic on nexuiz electro trail (should've been static)

------------------------------------------------------------------------
r6257 | havoc | 2006-04-04 12:04:26 -0700 (Tue, 04 Apr 2006) | 8 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/items.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/t_damage.qc
   D /trunk/dpmod/qc/visibleweapons.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/waypoint_spawnformap.qc
   M /trunk/dpmod/qc/world.qc

removed visible weapon code (it wasn't really doing anything except messing up the ax animations), added back proper ax animations, added back pain animations (and pain sounds, including the ax hit sound), modified weapons to start player firing wanimations like original quake did (rather than using special code to update the player frame from the weapon frame directly)
fixed bug in T_Damage that made FL_GODMODE do no blood effects/etc
merged w_directattackaim and w_grenadeattackaim into w_aim
got rid of viewzoom animation so weapon zooming is a bit faster now, added teleport viewzoom animation
modified waypoint spawning at load to not try default waypoints if waypoints were found in the map (as is the case in dpdm1)
modified laserrifle code to no longer do burst firing
removed some cruft from weapon code

------------------------------------------------------------------------
r6256 | havoc | 2006-04-04 11:55:11 -0700 (Tue, 04 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/projectiles.qc

removed the (quite excessive) force applied by spikes such as scrag spit

------------------------------------------------------------------------
r6255 | havoc | 2006-04-04 11:53:58 -0700 (Tue, 04 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc

now sorts waypoint links by minimum travel cost, this means the closest 32 links are kept (incase there are more than 32 to choose from), slightly increased maximum waypoint linking distance, rewrote much of the markroutes code to improve performance significantly (now uses precomputed minimum travel cost between waypoints before doing the more expensive checks), some other things

------------------------------------------------------------------------
r6254 | havoc | 2006-04-04 11:52:00 -0700 (Tue, 04 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/inventory.qc

fixed bug that caused ammo on hud to always show shells (all the ammo IT_ flags were set at once - oops!)

------------------------------------------------------------------------
r6253 | havoc | 2006-04-04 11:47:25 -0700 (Tue, 04 Apr 2006) | 3 lines
Changed paths:
   M /trunk/dpmod/maps/dpdm1.bsp
   A /trunk/dpmod/maps/dpdm1.dlit
   M /trunk/dpmod/maps/dpdm1.lit
   M /trunk/dpmod/maps/dpdm1.map
   M /trunk/dpmod/maps/dpdm1.rtlights
   M /trunk/dpmod/maps/dpdm2.bsp
   A /trunk/dpmod/maps/dpdm2.dlit
   M /trunk/dpmod/maps/dpdm2.lit

updated light entities in dpdm1
recompiled lighting in dpdm1 and dpdm2, now with deluxemapping and -harshshade

------------------------------------------------------------------------
r6252 | havoc | 2006-04-04 08:11:58 -0700 (Tue, 04 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/waypoint_spawnformap.qc

added one more waypoint to dpdm2 which allows the bots to realize they can walk down the ramp from the yellow armor + 4x SNG room to the outside area

------------------------------------------------------------------------
r6250 | havoc | 2006-04-04 06:52:04 -0700 (Tue, 04 Apr 2006) | 2 lines
Changed paths:
   A /trunk/dpmod/effectinfo.txt

added an example effectinfo.txt file

------------------------------------------------------------------------
r6246 | havoc | 2006-04-02 19:45:02 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/items.qc

moved lots of self.havocpickup = TRUE lines into PlaceItem

------------------------------------------------------------------------
r6245 | havoc | 2006-04-02 19:42:22 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/projectiles.qc

removed unused function SpawnHarmlessFireball

------------------------------------------------------------------------
r6244 | havoc | 2006-04-02 09:20:30 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/teamplay.qc

removed monster ctf name

------------------------------------------------------------------------
r6243 | havoc | 2006-04-02 09:20:07 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/projectiles.qc

changed grenades, rockets, and a few other pieces of code to only do the back-off-from-the-wall logic AFTER doing the damage, this should fix the radius damage calls which were often doing too little damage

------------------------------------------------------------------------
r6242 | havoc | 2006-04-02 09:18:38 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/darkp.qc

renamed armors back to quake names

------------------------------------------------------------------------
r6241 | havoc | 2006-04-02 09:16:10 -0700 (Sun, 02 Apr 2006) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/progs.src
   D /trunk/dpmod/qc/raddamage.qc
   M /trunk/dpmod/qc/t_damage.qc
   D /trunk/dpmod/qc/t_radiusdamage.qc

merged raddamage.qc and t_radiusdamage.qc into t_damage.qc
fixed a bug that was causing T_RadiusDamage to do no damage (one line I hadn't fixed after changing the damage amount behavior)

------------------------------------------------------------------------
r6240 | havoc | 2006-04-02 08:22:07 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/t_damage.qc

remove several definitions that have been moved to defs.qc

------------------------------------------------------------------------
r6239 | havoc | 2006-04-02 08:12:53 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc
   D /trunk/dpmod/qc/damagetype.qc
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/progs.src

merged damagetype.qc into damage.qc, and moved the field definitions and functions to defs.qc

------------------------------------------------------------------------
r6238 | havoc | 2006-04-02 08:01:22 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   D /trunk/dpmod/qc/casings.qc
   D /trunk/dpmod/qc/decals.qc
   M /trunk/dpmod/qc/decors.qc
   M /trunk/dpmod/qc/defs.qc
   D /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/progs.src

merged casings.qc decals.qc and gore.qc into decors.qc, and cleaned up decors.qc a bit

------------------------------------------------------------------------
r6237 | havoc | 2006-04-02 07:51:16 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   A /trunk/dpmod/qc/items.qc

forgot to commit the merged items.qc file

------------------------------------------------------------------------
r6236 | havoc | 2006-04-02 07:50:43 -0700 (Sun, 02 Apr 2006) | 3 lines
Changed paths:
   D /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/defs.qc
   D /trunk/dpmod/qc/explosion.qc
   D /trunk/dpmod/qc/fire.qc
   D /trunk/dpmod/qc/fireball.qc
   D /trunk/dpmod/qc/grenade.qc
   D /trunk/dpmod/qc/laser.qc
   D /trunk/dpmod/qc/lightning.qc
   D /trunk/dpmod/qc/mine.qc
   D /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/progs.src
   A /trunk/dpmod/qc/projectiles.qc
   M /trunk/dpmod/qc/raddamage.qc
   D /trunk/dpmod/qc/rocket.qc
   D /trunk/dpmod/qc/spike.qc
   M /trunk/dpmod/qc/t_radiusdamage.qc

merged bullets.qc explosion.qc fire.qc fireball.qc grenade.qc laser.qc lightning.qc mine.qc plasma.qc rocket.qc and spike.qc into projectiles.qc
removed damage amount parameter from LinearRadDamage, now it just returns a 0-1 fraction of the maximum damage, this reduces the T_RadiusDamage code a bit and reduces the number of tracelines used when calculating both damage and force

------------------------------------------------------------------------
r6235 | havoc | 2006-04-02 07:34:51 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc
   D /trunk/dpmod/qc/item_ammo.qc
   D /trunk/dpmod/qc/item_armor.qc
   D /trunk/dpmod/qc/item_artifacts.qc
   D /trunk/dpmod/qc/item_backpacks.qc
   D /trunk/dpmod/qc/item_health.qc
   D /trunk/dpmod/qc/item_keys.qc
   D /trunk/dpmod/qc/item_legacystuff.qc
   D /trunk/dpmod/qc/item_sigil.qc
   D /trunk/dpmod/qc/item_weapons.qc
   D /trunk/dpmod/qc/itemstuff.qc
   M /trunk/dpmod/qc/progs.src

merged itemstuff.qc and item_*.qc into items.qc, and reduced differences from quake's items.qc to only the essential stuff

------------------------------------------------------------------------
r6234 | havoc | 2006-04-02 07:27:29 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   D /trunk/dpmod/qc/finalarenamaps.qc
   D /trunk/dpmod/qc/fog.qc
   D /trunk/dpmod/qc/music.qc
   D /trunk/dpmod/qc/spotlights.qc
   D /trunk/dpmod/qc/sqrt.qc
   D /trunk/dpmod/qc/think.qc

removed some unused code

------------------------------------------------------------------------
r6233 | havoc | 2006-04-02 07:21:39 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/defs.qc
   D /trunk/dpmod/qc/forcefield.qc
   D /trunk/dpmod/qc/invisiblewall.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/progs.src
   D /trunk/dpmod/qc/rain.qc
   D /trunk/dpmod/qc/rotate.qc
   D /trunk/dpmod/qc/shake.qc
   D /trunk/dpmod/qc/xplowall.qc

merged forcefield.qc invisiblewall.qc rain.qc rotate.qc shake.qc and xplowall.qc into misc.qc, and moved the count3 and related definitions to defs.qc

------------------------------------------------------------------------
r6232 | havoc | 2006-04-02 07:14:18 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   D /trunk/dpmod/qc/lag.qc
   M /trunk/dpmod/qc/progs.src
   D /trunk/dpmod/qc/sprintnumdigits.qc
   M /trunk/dpmod/qc/util.qc

merged sprintnumdigits.qc and lag.qc into util.qc

------------------------------------------------------------------------
r6231 | havoc | 2006-04-02 07:11:06 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   D /trunk/dpmod/qc/footstep.qc
   D /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/progs.src
   D /trunk/dpmod/qc/regen.qc
   D /trunk/dpmod/qc/stats.qc

merged footstep.qc, impulse_main.qc, regen.qc, and stats.qc into client.qc

------------------------------------------------------------------------
r6230 | havoc | 2006-04-02 03:11:42 -0700 (Sun, 02 Apr 2006) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/CTF.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/havocbot_roles.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_armor.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_health.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc
   D /trunk/dpmod/qc/mctf.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/regen.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc

removed metroidmode
removed mctf code
removed commented out weapons
removed flamer weapon code

------------------------------------------------------------------------
r6229 | havoc | 2006-04-02 03:00:39 -0700 (Sun, 02 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/bullets.qc
   D /trunk/dpmod/qc/cheatcode.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/explosion.qc
   M /trunk/dpmod/qc/fire.qc
   D /trunk/dpmod/qc/flash.qc
   M /trunk/dpmod/qc/forcefield.qc
   D /trunk/dpmod/qc/gibcomments.qc
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_artifacts.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_keys.qc
   M /trunk/dpmod/qc/item_legacystuff.qc
   M /trunk/dpmod/qc/item_weapons.qc
   D /trunk/dpmod/qc/localdamage.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/plats.qc
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/raddamage.qc
   M /trunk/dpmod/qc/regen.qc
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/spike.qc
   D /trunk/dpmod/qc/superdamagesound.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/trig_original.qc
   M /trunk/dpmod/qc/util.qc
   M /trunk/dpmod/qc/visibleweapons.qc
   M /trunk/dpmod/qc/w_defs.qc
   D /trunk/dpmod/qc/w_grapple.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc

removal of dead code

------------------------------------------------------------------------
r6226 | havoc | 2006-04-01 23:54:26 -0800 (Sat, 01 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/CTF.qc
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/buttons.qc
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/damagetype.qc
   M /trunk/dpmod/qc/decals.qc
   M /trunk/dpmod/qc/decors.qc
   M /trunk/dpmod/qc/domination.qc
   M /trunk/dpmod/qc/doors.qc
   M /trunk/dpmod/qc/explosion.qc
   M /trunk/dpmod/qc/fight.qc
   M /trunk/dpmod/qc/finalarenamaps.qc
   M /trunk/dpmod/qc/fire.qc
   M /trunk/dpmod/qc/flash.qc
   M /trunk/dpmod/qc/fog.qc
   M /trunk/dpmod/qc/footstep.qc
   M /trunk/dpmod/qc/forcefield.qc
   M /trunk/dpmod/qc/gibcomments.qc
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/halflife.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/havocbot_roles.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/invisiblewall.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_health.qc
   M /trunk/dpmod/qc/item_keys.qc
   M /trunk/dpmod/qc/item_legacystuff.qc
   M /trunk/dpmod/qc/item_sigil.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/itemstuff.qc
   M /trunk/dpmod/qc/lag.qc
   M /trunk/dpmod/qc/localdamage.qc
   M /trunk/dpmod/qc/m_boss.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_monsters.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_oldone.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/mode_elimination.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/music.qc
   M /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/plats.qc
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/raddamage.qc
   M /trunk/dpmod/qc/regen.qc
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/rotate.qc
   M /trunk/dpmod/qc/shake.qc
   M /trunk/dpmod/qc/spike.qc
   M /trunk/dpmod/qc/stats.qc
   M /trunk/dpmod/qc/subs.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/t_radiusdamage.qc
   M /trunk/dpmod/qc/teamplay.qc
   M /trunk/dpmod/qc/think.qc
   M /trunk/dpmod/qc/trig_original.qc
   M /trunk/dpmod/qc/trig_playercount.qc
   M /trunk/dpmod/qc/trig_ticker.qc
   M /trunk/dpmod/qc/util.qc
   M /trunk/dpmod/qc/visibleweapons.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc
   M /trunk/dpmod/qc/xplowall.qc

code cleaning (cleaning of whitespace, commenting out or removing unused variables...)

------------------------------------------------------------------------
r6225 | havoc | 2006-04-01 22:07:39 -0800 (Sat, 01 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/defs.qc

code cleaning

------------------------------------------------------------------------
r6224 | havoc | 2006-04-01 21:02:31 -0800 (Sat, 01 Apr 2006) | 8 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/fight.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/w_grapple.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc

monsters use the same damage values as in quake now, some of the dpmod values were actually LOWER than quake, weird
the monster damage multiplier has been doubled (so now normal skill does quake damage, nightmare does 2x quake damage, etc), this makes the game harder
modified weapon code to use consistent ammo damage/force/radius values for all weapons using a particular ammo type
moved ammo damage values to damage.qc
changed weapon pickups to give the same amount of ammo as a small box (as defined in damage.qc)
added damage values for ALL quake monster damage, including melee and so on, to damage.qc
mde zombies have inaccurate shots like ogres do

------------------------------------------------------------------------
r6223 | havoc | 2006-04-01 20:57:28 -0800 (Sat, 01 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/util.qc

added some debugging code to detect bugs in engine tracetoss function

------------------------------------------------------------------------
r6222 | havoc | 2006-04-01 20:56:29 -0800 (Sat, 01 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/grenade.qc

fix typo in grenade code that was causing grenades to use radius as their damage

------------------------------------------------------------------------
r6221 | havoc | 2006-04-01 20:55:44 -0800 (Sat, 01 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/gore.qc

fixed bug where gibs sometimes fell through the floor because they were spawned under the floor

------------------------------------------------------------------------
r6219 | havoc | 2006-04-01 02:57:55 -0800 (Sat, 01 Apr 2006) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_system.qc

redesigned weapon animation timing yet again, now rapid fire weapons fire as soon as you press the button, and everything seems to work well
increased lightning body damage from 8 to 15 per cell, this makes gibbing things easier (but still not as easy as with other weapons)

------------------------------------------------------------------------
r6218 | havoc | 2006-04-01 02:05:31 -0800 (Sat, 01 Apr 2006) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

apply liquid damage less often so it doesn't constantly turn the screen blinding red
modified darkmode to set lightstyles beyond 63

------------------------------------------------------------------------
r6217 | havoc | 2006-04-01 02:03:34 -0800 (Sat, 01 Apr 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

improved flashlight placement

------------------------------------------------------------------------
r6213 | havoc | 2006-03-29 04:45:11 -0800 (Wed, 29 Mar 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

correct the name of DP_TRACE_HITCONTENTSMASK_SURFACEINFO

------------------------------------------------------------------------
r6182 | havoc | 2006-03-23 03:59:25 -0800 (Thu, 23 Mar 2006) | 2 lines
Changed paths:
   A /trunk/dpmod/cubemaps
   A /trunk/dpmod/cubemaps/201nx.tga
   A /trunk/dpmod/cubemaps/201ny.tga
   A /trunk/dpmod/cubemaps/201nz.tga
   A /trunk/dpmod/cubemaps/201px.tga
   A /trunk/dpmod/cubemaps/201py.tga
   A /trunk/dpmod/cubemaps/201pz.tga
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/halflife.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/world.qc

added darkmode option (no lights, only flashlights)

------------------------------------------------------------------------
r6181 | havoc | 2006-03-23 03:58:11 -0800 (Thu, 23 Mar 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_hknight.qc

changed the (commented out) inferno attack on hell knights back to the original archvile-style attack it was

------------------------------------------------------------------------
r6180 | havoc | 2006-03-23 03:56:57 -0800 (Thu, 23 Mar 2006) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/m_enforcer.qc

removed flamer weapon from enforcers
added dbshotgun and supernailgun to enforcers

------------------------------------------------------------------------
r6179 | havoc | 2006-03-23 03:55:46 -0800 (Thu, 23 Mar 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_ogre.qc

made ogre grenades much less accurate

------------------------------------------------------------------------
r6178 | havoc | 2006-03-23 03:55:02 -0800 (Thu, 23 Mar 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

removed force on lightning and plasma weapons

------------------------------------------------------------------------
r6171 | havoc | 2006-03-23 03:40:13 -0800 (Thu, 23 Mar 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/gore.qc

fixed still-burning-after-respawn bug

------------------------------------------------------------------------
r6167 | havoc | 2006-03-22 00:53:14 -0800 (Wed, 22 Mar 2006) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/dpextensions.qc
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/laser.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/rocket.qc

implemented DP_TRACE_HITCONTENTSMASK_SURFACEINFO extension, and made use of it
this commit also contains an unfinished, non-functional, and disabled, rigidbody physics system

------------------------------------------------------------------------
r6124 | havoc | 2006-03-16 18:39:55 -0800 (Thu, 16 Mar 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/romi_rtlights.pk3

updated rtlights pack from romi, now with more cubemap and water lighting goodness

------------------------------------------------------------------------
r6091 | havoc | 2006-03-09 22:04:46 -0800 (Thu, 09 Mar 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/playermovement.qc

renamed sv_airmaxspeed to sv_maxairspeed to match the engine cvar

------------------------------------------------------------------------
r6090 | havoc | 2006-03-09 21:29:52 -0800 (Thu, 09 Mar 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg

added sv_jumpstep 1

------------------------------------------------------------------------
r6008 | havoc | 2006-02-22 20:21:18 -0800 (Wed, 22 Feb 2006) | 8 lines
Changed paths:
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/w_system.qc

rearranged unused weapons code in w_system.qc
fixed shotgun shell ejection to spawn from the right player (W_SetupShot calls rearranged to make everything more reliable)
fixed double barreled shotgun to do the proper damage (it was doing half the intended damage, making it worse than the shotgun, thanks to []Lardarse for pointing this out)
changed shotgun and nailgun spread values
made shotguns spawn impact effects for for all their pellets, not just half of them
moved laser rifle from impulse 3 to impulse 10
reenabled plasma wave due to popular demand

------------------------------------------------------------------------
r6007 | havoc | 2006-02-22 20:20:19 -0800 (Wed, 22 Feb 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc

bullets no longer apply force to their target (it was silly pushing shamblers around)

------------------------------------------------------------------------
r5971 | havoc | 2006-02-11 22:39:14 -0800 (Sat, 11 Feb 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/decals.qc

fix model orientation

------------------------------------------------------------------------
r5965 | havoc | 2006-02-11 17:55:00 -0800 (Sat, 11 Feb 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/decals.qc

added ismodel parameter to newdecal to make it properly compute angles for models

------------------------------------------------------------------------
r5955 | havoc | 2006-02-08 07:27:08 -0800 (Wed, 08 Feb 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/decals.qc

added a skin parameter to newdecal

------------------------------------------------------------------------
r5954 | havoc | 2006-02-08 07:17:05 -0800 (Wed, 08 Feb 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc

fix the newdecal call to use a trace_plane_normal instead of dir

------------------------------------------------------------------------
r5953 | havoc | 2006-02-08 07:09:28 -0800 (Wed, 08 Feb 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

fixed typo in dphelp, don't know how this ever compiled before

------------------------------------------------------------------------
r5952 | havoc | 2006-02-08 05:56:42 -0800 (Wed, 08 Feb 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/decals.qc

uncommented newdecal, and added a decal testing call (commented out) to bullet impact code

------------------------------------------------------------------------
r5932 | havoc | 2006-01-31 01:22:40 -0800 (Tue, 31 Jan 2006) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

disabled flamer weapon because it kills framerate and isn't a very effective weapon either
disabled plasmawave because it is simply too powerful and unbalanced

------------------------------------------------------------------------
r5931 | havoc | 2006-01-31 01:15:31 -0800 (Tue, 31 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/mode_management.qc

changed a deathmatch variable reference to cvar("deathmatch") to make sure it's ready in time

------------------------------------------------------------------------
r5930 | havoc | 2006-01-31 01:14:43 -0800 (Tue, 31 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

added more documentation to dphelp command

------------------------------------------------------------------------
r5929 | havoc | 2006-01-31 01:14:24 -0800 (Tue, 31 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_hknight.qc

made hellknight shots turn faster, a bit harder to dodge them now

------------------------------------------------------------------------
r5928 | havoc | 2006-01-31 01:13:32 -0800 (Tue, 31 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

dropped cell damage from 60 to 30 on all energy weapons, as they were too powerful

------------------------------------------------------------------------
r5912 | havoc | 2006-01-15 20:04:14 -0800 (Sun, 15 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added EXT_BITSHIFT documentation

------------------------------------------------------------------------
r5905 | havoc | 2006-01-14 09:45:03 -0800 (Sat, 14 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_EF_DOUBLESIDED extension

------------------------------------------------------------------------
r5904 | havoc | 2006-01-14 09:41:53 -0800 (Sat, 14 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_SV_CUSTOMIZEENTITYFORCLIENT extension docs, and a definition for EF_DOUBLESIDED (but not an extension yet)

------------------------------------------------------------------------
r5890 | havoc | 2006-01-09 10:18:16 -0800 (Mon, 09 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg

added a set I forgot

------------------------------------------------------------------------
r5888 | havoc | 2006-01-08 05:00:44 -0800 (Sun, 08 Jan 2006) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg

add sv_airmaxspeed to default.cfg so that air control works again

------------------------------------------------------------------------
r5831 | havoc | 2005-11-24 21:54:35 -0800 (Thu, 24 Nov 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/teamplay.qc

cleaned up SV_ChangeTeam code, eliminated setplayercolor (now uses setcolor directly), this fixes the 'joining as white' bug

------------------------------------------------------------------------
r5755 | havoc | 2005-10-21 16:06:44 -0700 (Fri, 21 Oct 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/inventory.qc

fix a bug that made metroidmode not work when in deathmatch

------------------------------------------------------------------------
r5732 | havoc | 2005-10-11 02:17:23 -0700 (Tue, 11 Oct 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/romi_rtlights.pk3

updated to romi's final rtlights pack

------------------------------------------------------------------------
r5660 | havoc | 2005-08-25 18:35:26 -0700 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/gore.qc

ragdoll stuff: disable particle vs particle collisions

------------------------------------------------------------------------
r5652 | sajt | 2005-08-24 02:54:35 -0700 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/trig_original.qc
   M /trunk/dpmod/qc/world.qc

Welcome to Bad Hack Theatre. Hacked a skill 4 skill selector onto the start map. I took the liberty of naming it the 'unreasonable' skill level.

------------------------------------------------------------------------
r5640 | sajt | 2005-08-23 00:07:51 -0700 (Tue, 23 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added te_flamejet builtin

------------------------------------------------------------------------
r5636 | sajt | 2005-08-22 22:48:01 -0700 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added DP_SV_WRITEUNTERMINATEDSTRING builtin

------------------------------------------------------------------------
r5633 | sajt | 2005-08-22 21:05:36 -0700 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/m_boss.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_monsters.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/subs.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc

Added skill 4 mode where monsters are nearly invisible unless attacking, in pain, or dead.

------------------------------------------------------------------------
r5616 | havoc | 2005-08-20 12:00:02 -0700 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

added DP_SV_PRECACHEANYTIME extension

------------------------------------------------------------------------
r5602 | havoc | 2005-08-19 00:35:44 -0700 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_CON_ALIASPARAMETERS and DP_CON_EXPANDCVAR extensions

------------------------------------------------------------------------
r5600 | havoc | 2005-08-18 18:30:36 -0700 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

forgot to commit this part of the ragdoll stuff

------------------------------------------------------------------------
r5599 | havoc | 2005-08-18 17:30:36 -0700 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/w_system.qc

enabled the very funky ragdoll stuff, dpmod_qcphysics_* cvars enable things (off by default)

------------------------------------------------------------------------
r5597 | havoc | 2005-08-18 15:10:40 -0700 (Thu, 18 Aug 2005) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/playermovement.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/t_radiusdamage.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc

some funky physics code (possibly suitable for ragdolls) added to gore.qc which was being tested on gibs and shell casings, not used currently (all commented out)
some cleanups of playermovement.qc
lowered shotgun damages

------------------------------------------------------------------------
r5572 | havoc | 2005-08-11 05:05:55 -0700 (Thu, 11 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

change crediting of DP_QC_CVAR_STRING to VorteX as per his request not to use his name

------------------------------------------------------------------------
r5564 | havoc | 2005-08-09 06:36:17 -0700 (Tue, 09 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added a note about TENEBRAE_GFX_DLIGHTS light entities normally being used without a model

------------------------------------------------------------------------
r5551 | havoc | 2005-08-01 09:47:50 -0700 (Mon, 01 Aug 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

fix typo (.entity fld should've been .float fld) on findflags builtin reported by Urre

------------------------------------------------------------------------
r5516 | havoc | 2005-07-09 02:12:02 -0700 (Sat, 09 Jul 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

change idea credit for findflags and findchainflags to Sajt

------------------------------------------------------------------------
r5472 | havoc | 2005-06-28 23:07:07 -0700 (Tue, 28 Jun 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added notes to DP_ENTEXTERIORMODELTOCLIENT and DP_GFX_QUAKE3MODELTAGS about entities attached to the player not appearing in first person

------------------------------------------------------------------------
r5471 | havoc | 2005-06-28 17:16:56 -0700 (Tue, 28 Jun 2005) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

commented out MOVETYPE_BOUNCEMISSILE definition in DP_MOVETYPEBOUNCEMISSILE extension since defs.qc already contains this definition
corrected DP_QC_ETOS description
corrected DP_QC_RANDOMVEC description
added sv_playerphysicsqc cvar to DP_SV_PLAYERPHYSICS extension

------------------------------------------------------------------------
r5350 | havoc | 2005-05-29 15:28:20 -0700 (Sun, 29 May 2005) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/darkplaces/svvm_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QUAKE3_MAP extension

------------------------------------------------------------------------
r5262 | havoc | 2005-05-09 14:18:20 -0700 (Mon, 09 May 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/domination.qc

corrected email address

------------------------------------------------------------------------
r5261 | havoc | 2005-05-09 14:13:38 -0700 (Mon, 09 May 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/client.qc

added sv_maplist cvar support as requested by Paul Gagnon

------------------------------------------------------------------------
r5165 | molivier | 2005-04-07 03:00:48 -0700 (Thu, 07 Apr 2005) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/darkplaces/todo
   M /trunk/dpmod/qc/dpextensions.qc

Added the DP_HALFLIFE_SPRITE QC extension

------------------------------------------------------------------------
r5144 | molivier | 2005-04-03 00:27:30 -0800 (Sun, 03 Apr 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added the DP_QUAKE2_SPRITE QC extension

------------------------------------------------------------------------
r5012 | havoc | 2005-02-09 14:24:32 -0800 (Wed, 09 Feb 2005) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/havocbot_roles.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/waypoint_spawnformap.qc

rewrote much of havocbot to use waypoints and wayboxes instead of waysurfaces (waysurfaces are no longer supported)
havocbot now only does at most goal search per frame (if there are multiple bots each has to wait its turn in the cycle, or 0.5 seconds, whichever is longer)
added WR_AIM so that havocbot AI can call the aim code during player physics instead of being done by the weapon code (which runs later)
havocbot contains a (very simple) add/remove/save waypoint editor, use set havocbot_editwaypoints 1 to enable and the impulses are documented in havocbot.qc

------------------------------------------------------------------------
r5003 | havoc | 2005-02-04 05:48:31 -0800 (Fri, 04 Feb 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_CON_STARTMAP documentation

------------------------------------------------------------------------
r4981 | havoc | 2005-01-27 17:43:38 -0800 (Thu, 27 Jan 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc

thanks to Urre for some optimization and cleanup ideas for waypoint navigation, which made havocbot navigation several times faster

------------------------------------------------------------------------
r4980 | havoc | 2005-01-27 15:06:12 -0800 (Thu, 27 Jan 2005) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/CTF.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damagetype.qc
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_armor.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_health.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/mctf.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/regen.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/t_radiusdamage.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc

major changes to inventory system
cleaned up parms handling (when spawning fresh it now uses Inventory calls instead of manually set weapon bits, and all inventory is now encoded into parms)
cleaned up mctf stuff (now you can play singleplayer and other modes with the mctf-style items/weapons by using "set metroidmode 1" in the console)

------------------------------------------------------------------------
r4979 | havoc | 2005-01-27 15:00:00 -0800 (Thu, 27 Jan 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/raddamage.qc

slight cleanup

------------------------------------------------------------------------
r4978 | havoc | 2005-01-27 14:59:40 -0800 (Thu, 27 Jan 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/stats.qc

whitespace

------------------------------------------------------------------------
r4977 | havoc | 2005-01-27 14:54:51 -0800 (Thu, 27 Jan 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

made lightning grapple (in mctf mode) pull every frame, not just one when it does damage

------------------------------------------------------------------------
r4976 | havoc | 2005-01-27 14:34:34 -0800 (Thu, 27 Jan 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/explosion.qc
   M /trunk/dpmod/qc/fireball.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/m_boss.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/superdomination.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/xplowall.qc

changed BecomeExplosion to do no damage, instead calling T_RadiusDamage above it

------------------------------------------------------------------------
r4974 | havoc | 2005-01-27 13:41:27 -0800 (Thu, 27 Jan 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc

dropped health/maxhealth in mctf mode from 500/500 to 100/100

------------------------------------------------------------------------
r4973 | havoc | 2005-01-27 13:40:22 -0800 (Thu, 27 Jan 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/domination.qc

disabled an eprint left over from debuggin

------------------------------------------------------------------------
r4972 | havoc | 2005-01-27 13:39:53 -0800 (Thu, 27 Jan 2005) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

NEXUIZ_PLAYERMODEL extension spec

------------------------------------------------------------------------
r4820 | havoc | 2004-12-02 14:41:34 -0800 (Thu, 02 Dec 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc

slight optimization to navigation code

------------------------------------------------------------------------
r4814 | havoc | 2004-12-01 13:49:46 -0800 (Wed, 01 Dec 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/sv_user.c
   M /trunk/dpmod/qc/dpextensions.qc

modified PRYDON_CLIENTCURSOR extension to reset cursor_trace_ent to world if the entity it is referencing is currently freed (as requested by FrikaC)

------------------------------------------------------------------------
r4802 | havoc | 2004-11-30 21:39:40 -0800 (Tue, 30 Nov 2004) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added PRYDON_CLIENTCURSOR, DP_BUTTONUSE, DP_BUTTONCHAT
reinstated DP_ENT_COLORMOD

------------------------------------------------------------------------
r4749 | havoc | 2004-11-13 14:57:06 -0800 (Sat, 13 Nov 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/qc/superdomination.qc

forgot to add this file

------------------------------------------------------------------------
r4748 | havoc | 2004-11-13 03:26:32 -0800 (Sat, 13 Nov 2004) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/playermovement.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/trig_original.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc

havocbots work again
havocbots now use DP_SV_BOTCLIENT extension (so they show up on the scoreboard, and now call their thinking from SV_PlayerPhysics)
a lot of FL_CLIENT checking code has been commented out because it is obsolete with the DP_SV_BOTCLIENT support
added experimental 'super domination' mode which is quite incomplete and needs work (a domination-like game mode where the objective is to claim all points at once, and you can build a certain number of turrets per control point)

------------------------------------------------------------------------
r4747 | havoc | 2004-11-13 03:21:51 -0800 (Sat, 13 Nov 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/rocket.qc

added support for detonating rockets inflight

------------------------------------------------------------------------
r4746 | havoc | 2004-11-13 03:20:40 -0800 (Sat, 13 Nov 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/domination.qc

fixed a number of bugs in the domination code, it works properly now

------------------------------------------------------------------------
r4745 | havoc | 2004-11-13 03:20:14 -0800 (Sat, 13 Nov 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/explosion.qc

now uses animated explosion entity rather than effect() call, since the effects are not rate limited

------------------------------------------------------------------------
r4742 | havoc | 2004-11-12 15:18:57 -0800 (Fri, 12 Nov 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/darkplaces/sv_main.c
   M /trunk/dpmod/qc/dpextensions.qc

added DP_SV_BOTCLIENT extension

------------------------------------------------------------------------
r4725 | havoc | 2004-10-30 06:43:48 -0700 (Sat, 30 Oct 2004) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_SV_PING, DP_SV_PUNCHVECTOR, and DP_SND_FAKETRACKS extensions
sorted all extensions by name
gave some sound extensions a more concise description with tips on use

------------------------------------------------------------------------
r4724 | havoc | 2004-10-30 05:03:59 -0700 (Sat, 30 Oct 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

added DP_CON_SET and DP_CON_SETA extensions

------------------------------------------------------------------------
r4699 | havoc | 2004-10-23 03:41:43 -0700 (Sat, 23 Oct 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

added DP_SV_DROPCLIENT extension

------------------------------------------------------------------------
r4689 | havoc | 2004-10-21 03:15:36 -0700 (Thu, 21 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg

added bots cvar

------------------------------------------------------------------------
r4688 | havoc | 2004-10-21 03:14:40 -0700 (Thu, 21 Oct 2004) | 6 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/explosion.qc
   M /trunk/dpmod/qc/fire.qc
   M /trunk/dpmod/qc/fireball.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/m_boss.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/w_system.qc

more tweaks
added back flame thrower enforcers (but they need tweaking, and the flame thrower needs an overhaul)
added back flame thrower weapon (needs an overhaul)
upped cell damage from 30 to 60 and halved fire cell usage or fire rate of each energy weapon
made havocbots use "bots" cvar instead of impulses to add/remove

------------------------------------------------------------------------
r4687 | havoc | 2004-10-21 03:12:02 -0700 (Thu, 21 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/grenade.qc

reduced grenade proximity radius from 50% of explosion radius to 25%

------------------------------------------------------------------------
r4686 | havoc | 2004-10-21 03:09:44 -0700 (Thu, 21 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added a little note about MOVE_HITMODEL not caring if an entity is invisible

------------------------------------------------------------------------
r4667 | havoc | 2004-10-19 00:12:45 -0700 (Tue, 19 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

renamed world "noise" field to "music" to match q3

------------------------------------------------------------------------
r4656 | havoc | 2004-10-17 04:14:23 -0700 (Sun, 17 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

renamed (and moved) DP_MD3_TAGSINFO to DP_QC_GETTAGINFO and corrected its description

------------------------------------------------------------------------
r4634 | havoc | 2004-10-15 13:25:05 -0700 (Fri, 15 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_LITSPRITES extension spec

------------------------------------------------------------------------
r4633 | havoc | 2004-10-15 01:03:12 -0700 (Fri, 15 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

fixed a typo in DP_GFX_EXTERNALTEXTURES explanation of map textures (removed extraneous progs/ in one example)

------------------------------------------------------------------------
r4627 | havoc | 2004-10-13 12:17:59 -0700 (Wed, 13 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

updated tracebox technical note (about q1bsp limitations)

------------------------------------------------------------------------
r4609 | havoc | 2004-10-07 22:57:07 -0700 (Thu, 07 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

fixed samelevel to also work on fraglimit/timelimit level end conditions

------------------------------------------------------------------------
r4608 | havoc | 2004-10-07 22:56:27 -0700 (Thu, 07 Oct 2004) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/t_damage.qc

enabled spree/combo messages for player kills (not just monsters)
no longer counts gibbing a corpse as a kill

------------------------------------------------------------------------
r4583 | havoc | 2004-10-03 17:19:59 -0700 (Sun, 03 Oct 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/maps/dpdm1.map
   A /trunk/dpmod/maps/dpdm2.map

added source .map files for dpdm1 and dpdm2

------------------------------------------------------------------------
r4577 | havoc | 2004-10-02 12:11:20 -0700 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc

forgot to add MONSTER_WANDER constant

------------------------------------------------------------------------
r4576 | havoc | 2004-10-02 07:02:59 -0700 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/m_monsters.qc
   M /trunk/dpmod/qc/world.qc

monsterwander cvar added, enabling the wandering monster code that was commented out

------------------------------------------------------------------------
r4575 | havoc | 2004-10-01 11:56:26 -0700 (Fri, 01 Oct 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/maps/dpdm1.rtlights

rtlights file to make dpdm1 look good and fast in realtime mode

------------------------------------------------------------------------
r4571 | havoc | 2004-10-01 01:49:37 -0700 (Fri, 01 Oct 2004) | 3 lines
Changed paths:
   D /trunk/dpmod/maps/dm6.rtlights
   D /trunk/dpmod/maps/e1m1.rtlights
   D /trunk/dpmod/maps/e1m2.rtlights
   D /trunk/dpmod/maps/e1m3.rtlights
   D /trunk/dpmod/maps/e1m4.rtlights
   D /trunk/dpmod/maps/e1m5.rtlights
   D /trunk/dpmod/maps/e1m6.rtlights
   D /trunk/dpmod/maps/e1m7.rtlights
   D /trunk/dpmod/maps/e4m6.rtlights
   D /trunk/dpmod/maps/start.rtlights
   A /trunk/dpmod/romi_rtlights.pk3

removed my rtlights files
added pk3 archive of romi's rtlight files (after I cleaned them a little to not include unused info on cubemaps/angles)

------------------------------------------------------------------------
r4570 | havoc | 2004-10-01 01:48:11 -0700 (Fri, 01 Oct 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

added +button5 explanation to dphelp

------------------------------------------------------------------------
r4560 | havoc | 2004-09-27 23:38:45 -0700 (Mon, 27 Sep 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_main.c
   M /trunk/darkplaces/gl_models.c
   M /trunk/darkplaces/gl_rmain.c
   M /trunk/darkplaces/gl_rsurf.c
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/darkplaces/protocol.h
   M /trunk/darkplaces/r_shadow.c
   M /trunk/darkplaces/r_sprites.c
   M /trunk/darkplaces/sv_main.c
   M /trunk/dpmod/qc/dpextensions.qc

implemented DP_EF_NODEPTHTEST extension

------------------------------------------------------------------------
r4547 | havoc | 2004-09-26 06:46:53 -0700 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/misc.qc

couple little things

------------------------------------------------------------------------
r4544 | havoc | 2004-09-26 06:20:20 -0700 (Sun, 26 Sep 2004) | 4 lines
Changed paths:
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/world.qc

got rid of registercvar calls
added cvars to default.cfg
removed a lot of old cvar checks (scratch1 and temp1 and such), now you must use the spawnmonsters/damagescale_* cvars instead of the old ones

------------------------------------------------------------------------
r4543 | havoc | 2004-09-26 06:19:10 -0700 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/casings.qc

casings now lose 20% of their velocity (in all directions) when they bounce, this should make them not slide along the floor much

------------------------------------------------------------------------
r4542 | havoc | 2004-09-26 06:18:25 -0700 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/visibleweapons.qc

fixed various problems with exterior weapon model disappearing, and made it a tag entity so it produces less network traffic (and follows player exactly)

------------------------------------------------------------------------
r4532 | havoc | 2004-09-21 00:03:49 -0700 (Tue, 21 Sep 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

corrected name of NXQ_GFX_LETTERBOX (it was misnamed PXQ_GFX_LETTERBOX, my mistake, sorry)

------------------------------------------------------------------------
r4529 | havoc | 2004-09-19 22:51:21 -0700 (Sun, 19 Sep 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/cl_screen.c
   M /trunk/darkplaces/gl_backend.c
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/darkplaces/r_crosshairs.c
   M /trunk/darkplaces/screen.h
   M /trunk/dpmod/qc/dpextensions.qc

added PXQ_GFX_LETTERBOX extension

------------------------------------------------------------------------
r4503 | havoc | 2004-09-14 21:01:37 -0700 (Tue, 14 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

*** empty log message ***

------------------------------------------------------------------------
r4502 | havoc | 2004-09-14 20:17:48 -0700 (Tue, 14 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/decals.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/raddamage.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc

can't think of a good description, shotguns do more damage now and dbshotgun fires more often, nails stick in walls and can be knocked loose, casings are mostly gone (too much bandwidth), falling damage reduced to 5 (regardless of fall speed) because it kept killing things from rockets to the head

------------------------------------------------------------------------
r4492 | havoc | 2004-09-12 21:54:52 -0700 (Sun, 12 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

corrected TENEBRAE_GFX_DLIGHTS documentation regarding cubemaps numbered below 16

------------------------------------------------------------------------
r4484 | havoc | 2004-09-11 13:24:14 -0700 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/env/sky1_dpzoo_bk.tga
   M /trunk/dpmod/env/sky1_dpzoo_dn.tga
   M /trunk/dpmod/env/sky1_dpzoo_ft.tga
   M /trunk/dpmod/env/sky1_dpzoo_lf.tga
   M /trunk/dpmod/env/sky1_dpzoo_rt.tga
   M /trunk/dpmod/env/sky1_dpzoo_up.tga

Tomaz converted the sky images to 8bit RLE tga to save space

------------------------------------------------------------------------
r4483 | havoc | 2004-09-11 12:54:45 -0700 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   D /trunk/dpmod/env/sky1_dpzoo_bk.jpg
   D /trunk/dpmod/env/sky1_dpzoo_dn.jpg
   D /trunk/dpmod/env/sky1_dpzoo_ft.jpg
   D /trunk/dpmod/env/sky1_dpzoo_lf.jpg
   D /trunk/dpmod/env/sky1_dpzoo_rt.jpg
   D /trunk/dpmod/env/sky1_dpzoo_up.jpg

jpeg is too low quality for skybox

------------------------------------------------------------------------
r4482 | tomaz | 2004-09-11 12:41:32 -0700 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/env/sky1_dpzoo_bk.jpg
   A /trunk/dpmod/env/sky1_dpzoo_dn.jpg
   A /trunk/dpmod/env/sky1_dpzoo_ft.jpg
   A /trunk/dpmod/env/sky1_dpzoo_lf.jpg
   A /trunk/dpmod/env/sky1_dpzoo_rt.jpg
   A /trunk/dpmod/env/sky1_dpzoo_up.jpg

Turned skybox into jpg's to save space.

------------------------------------------------------------------------
r4481 | tomaz | 2004-09-11 12:31:02 -0700 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/env/sky1_dpzoo_bk.tga
   M /trunk/dpmod/env/sky1_dpzoo_dn.tga
   M /trunk/dpmod/env/sky1_dpzoo_ft.tga
   M /trunk/dpmod/env/sky1_dpzoo_lf.tga
   M /trunk/dpmod/env/sky1_dpzoo_rt.tga
   M /trunk/dpmod/env/sky1_dpzoo_up.tga

Last try.

------------------------------------------------------------------------
r4480 | tomaz | 2004-09-11 12:15:30 -0700 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/env
   A /trunk/dpmod/env/sky1_dpzoo_bk.tga
   A /trunk/dpmod/env/sky1_dpzoo_dn.tga
   A /trunk/dpmod/env/sky1_dpzoo_ft.tga
   A /trunk/dpmod/env/sky1_dpzoo_lf.tga
   A /trunk/dpmod/env/sky1_dpzoo_rt.tga
   A /trunk/dpmod/env/sky1_dpzoo_up.tga

Thanks to Zenex for donating this skybox.

------------------------------------------------------------------------
r4479 | tomaz | 2004-09-11 12:10:17 -0700 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/maps/dpzoo.bsp
   M /trunk/dpmod/maps/dpzoo.map

Added a sky key to the map so if it finds a skybox named sky1_dpzoo_ it uses it automagically.

------------------------------------------------------------------------
r4476 | tomaz | 2004-09-11 10:41:32 -0700 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/textures
   A /trunk/dpmod/textures/floor1_dpzoo.jpg
   A /trunk/dpmod/textures/floor2_dpzoo.jpg
   A /trunk/dpmod/textures/pipe1_dpzoo.jpg
   A /trunk/dpmod/textures/roof1_dpzoo.jpg
   A /trunk/dpmod/textures/wall1_dpzoo.jpg
   A /trunk/dpmod/textures/window1_dpzoo.jpg

A couple of hires textures for the dpzoo map.

------------------------------------------------------------------------
r4475 | tomaz | 2004-09-11 10:39:48 -0700 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/maps/dpzoo.bsp
   M /trunk/dpmod/maps/dpzoo.lit
   M /trunk/dpmod/maps/dpzoo.map
   A /trunk/dpmod/maps/dpzoo.wad

Made a dpzoo.wad and made the dpzoo map use all legal textures.

------------------------------------------------------------------------
r4467 | tomaz | 2004-09-10 17:41:32 -0700 (Fri, 10 Sep 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/maps/dpzoo.bsp
   A /trunk/dpmod/maps/dpzoo.lit
   A /trunk/dpmod/maps/dpzoo.map

Added the first version of the dpzoo map. Shows off translucent objects, colored lights, rain and snow.

------------------------------------------------------------------------
r4463 | havoc | 2004-09-09 10:56:00 -0700 (Thu, 09 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/t_radiusdamage.qc

make rockets fired point blank at a monster not fail to do radiusdamage just because they're inside the player box

------------------------------------------------------------------------
r4462 | tomaz | 2004-09-09 10:10:04 -0700 (Thu, 09 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/mode_management.qc

Fixed a bug in the new spawn for monster_fish in deathmatch 7.

------------------------------------------------------------------------
r4461 | tomaz | 2004-09-09 10:00:41 -0700 (Thu, 09 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/t_damage.qc

Someone said this would fix the issue about getting 2 frags for monsters in deathmatch 7.

------------------------------------------------------------------------
r4460 | tomaz | 2004-09-09 09:31:49 -0700 (Thu, 09 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc

Yet more spree message fixes.

------------------------------------------------------------------------
r4459 | tomaz | 2004-09-09 09:13:48 -0700 (Thu, 09 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc

Fixed a few issues with the combo and spree message code.

------------------------------------------------------------------------
r4456 | tomaz | 2004-09-08 23:10:24 -0700 (Wed, 08 Sep 2004) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc

Urre added combo kill detection; rapid burst of kills.
He also added killing spree reporting; how many kills since spawn when you die, as well as announcing when you hit certain numbers of kills.

------------------------------------------------------------------------
r4455 | tomaz | 2004-09-08 23:06:33 -0700 (Wed, 08 Sep 2004) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/decals.qc
   M /trunk/dpmod/qc/w_system.qc

Urre added back nails in walls.
He also changed bullettype values for nailgun and supernailgun.

------------------------------------------------------------------------
r4454 | tomaz | 2004-09-08 22:56:00 -0700 (Wed, 08 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/mode_management.qc

Urre added rotfish to spawnmonsters code (only spawn if they land in water)

------------------------------------------------------------------------
r4453 | tomaz | 2004-09-08 22:52:59 -0700 (Wed, 08 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc

Forgot to make anglemod return v. (Thanks Urre)

------------------------------------------------------------------------
r4449 | tomaz | 2004-09-07 14:49:17 -0700 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc

Modified anglemod to be able to recover from extremely large angles numbers.

------------------------------------------------------------------------
r4448 | tomaz | 2004-09-07 14:15:55 -0700 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_soldier.qc

Made grunts reload less often, every 10 shotgun shells.

------------------------------------------------------------------------
r4417 | havoc | 2004-09-01 01:05:05 -0700 (Wed, 01 Sep 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QC_FINDFLAGS and DP_QC_FINDCHAINFLAGS extensions

------------------------------------------------------------------------
r4411 | havoc | 2004-08-30 18:31:41 -0700 (Mon, 30 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/msys.qc

Zenex corrected K_ codes, thanks Zenex

------------------------------------------------------------------------
r4397 | tomaz | 2004-08-28 08:57:39 -0700 (Sat, 28 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/progs/v_dplight.mdl

Fixed some interpolation issues on the lightning gun.

------------------------------------------------------------------------
r4393 | havoc | 2004-08-27 02:01:54 -0700 (Fri, 27 Aug 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/qc/sv_user.qc

Although not used by dpmod itself, this sample player movement code for other mods to use seems best kept in dpmod cvs

------------------------------------------------------------------------
r4332 | havoc | 2004-08-13 17:59:54 -0700 (Fri, 13 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

clarified PFLAGS_ handling in lights

------------------------------------------------------------------------
r4319 | havoc | 2004-08-08 14:59:39 -0700 (Sun, 08 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/w_system.qc

more of the usual weapon tweaks, plasma rifle changed a lot (probably too powerful), plasma wave fixed (single shot is now a lot weaker, wave is now stronger), rockets accelerate again...

------------------------------------------------------------------------
r4318 | havoc | 2004-08-08 14:56:10 -0700 (Sun, 08 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/raddamage.qc

radius damage no longer goes through enemies

------------------------------------------------------------------------
r4317 | havoc | 2004-08-08 14:55:23 -0700 (Sun, 08 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/plasma.qc

plasma lives longer (now can cross corner to corner in dpdm2 even at slow speeds like 1000)

------------------------------------------------------------------------
r4312 | tomaz | 2004-08-08 14:04:51 -0700 (Sun, 08 Aug 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

Fixed the missing colorlength param on te_explosion2

------------------------------------------------------------------------
r4304 | havoc | 2004-08-06 03:23:14 -0700 (Fri, 06 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

falling height matters again (in how much damage is done)

------------------------------------------------------------------------
r4303 | havoc | 2004-08-06 03:21:39 -0700 (Fri, 06 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/t_radiusdamage.qc

removed some unused local variables

------------------------------------------------------------------------
r4302 | havoc | 2004-08-06 01:02:17 -0700 (Fri, 06 Aug 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_QC_MULTIPLETEMPSTRINGS extension documentation

------------------------------------------------------------------------
r4285 | molivier | 2004-07-22 06:41:50 -0700 (Thu, 22 Jul 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

Added 3 new DP extensions: DP_SND_DIRECTIONLESSATTNNONE, DP_SND_OGGVORBIS and DP_SND_STEREOWAV

------------------------------------------------------------------------
r4242 | havoc | 2004-05-22 14:20:30 -0700 (Sat, 22 May 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/util.qc

corrected a typo

------------------------------------------------------------------------
r4231 | havoc | 2004-05-21 19:33:46 -0700 (Fri, 21 May 2004) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/util.qc
   M /trunk/dpmod/qc/w_system.qc

added some interesting parm encoding stuff to util.qc/impulse_main.qc
miscellaneous little changes to client/weapons
singleplayer now spawns in maps that have only deathmatch starts

------------------------------------------------------------------------
r4228 | havoc | 2004-05-21 19:10:47 -0700 (Fri, 21 May 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_monsters.qc

spawn monsterinwall warnings (spike balls) only in developer 1 mode

------------------------------------------------------------------------
r4197 | havoc | 2004-05-18 22:52:02 -0700 (Tue, 18 May 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/qc/darkplaces.def

thanks to Zenex who made this new dpmod entity file (making darkp.qc obsolete)

------------------------------------------------------------------------
r4177 | havoc | 2004-05-16 23:04:40 -0700 (Sun, 16 May 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/qc/mctf.qc

forgot to add this

------------------------------------------------------------------------
r4043 | black | 2004-03-20 00:38:39 -0800 (Sat, 20 Mar 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/mbuiltin.qc

Added some builtins I guess..

------------------------------------------------------------------------
r4034 | havoc | 2004-03-16 01:48:21 -0800 (Tue, 16 Mar 2004) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/CTF.qc
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/buttons.qc
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/doors.qc
   M /trunk/dpmod/qc/explosion.qc
   M /trunk/dpmod/qc/fire.qc
   M /trunk/dpmod/qc/fireball.qc
   M /trunk/dpmod/qc/footstep.qc
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/havocbot_roles.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_armor.qc
   M /trunk/dpmod/qc/item_artifacts.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_health.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/itemstuff.qc
   M /trunk/dpmod/qc/lightning.qc
   M /trunk/dpmod/qc/m_boss.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/plats.qc
   M /trunk/dpmod/qc/playermovement.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/rotate.qc
   M /trunk/dpmod/qc/spotlights.qc
   M /trunk/dpmod/qc/subs.qc
   M /trunk/dpmod/qc/t_radiusdamage.qc
   M /trunk/dpmod/qc/teamplay.qc
   M /trunk/dpmod/qc/trig_original.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/world.qc
   M /trunk/dpmod/qc/xplowall.qc

highly experimental beginnings of GAME_NEXUIZ support (untested and incomplete)
various weapon changes I've forgotten (as usual)

------------------------------------------------------------------------
r4030 | coderjoe | 2004-03-15 22:49:01 -0800 (Mon, 15 Mar 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/quake.rc

fix newlines. (missed one)

------------------------------------------------------------------------
r4029 | coderjoe | 2004-03-15 22:40:42 -0800 (Mon, 15 Mar 2004) | 2 lines
Changed paths:
   M /trunk/darkplaces/cd_null.c
   M /trunk/darkplaces/sv_user.qc
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/CTF.qc
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/buttons.qc
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/cheatcode.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/damagetype.qc
   M /trunk/dpmod/qc/darkp.qc
   M /trunk/dpmod/qc/decals.qc
   M /trunk/dpmod/qc/decors.qc
   M /trunk/dpmod/qc/defs.qc
   M /trunk/dpmod/qc/domination.qc
   M /trunk/dpmod/qc/doors.qc
   M /trunk/dpmod/qc/dpextensions.qc
   M /trunk/dpmod/qc/explosion.qc
   M /trunk/dpmod/qc/fight.qc
   M /trunk/dpmod/qc/finalarenamaps.qc
   M /trunk/dpmod/qc/fire.qc
   M /trunk/dpmod/qc/fireball.qc
   M /trunk/dpmod/qc/flash.qc
   M /trunk/dpmod/qc/fog.qc
   M /trunk/dpmod/qc/footstep.qc
   M /trunk/dpmod/qc/forcefield.qc
   M /trunk/dpmod/qc/gibcomments.qc
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/halflife.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/invisiblewall.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_armor.qc
   M /trunk/dpmod/qc/item_artifacts.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_health.qc
   M /trunk/dpmod/qc/item_keys.qc
   M /trunk/dpmod/qc/item_legacystuff.qc
   M /trunk/dpmod/qc/item_sigil.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/itemstuff.qc
   M /trunk/dpmod/qc/lag.qc
   M /trunk/dpmod/qc/lightning.qc
   M /trunk/dpmod/qc/localdamage.qc
   M /trunk/dpmod/qc/m_boss.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_monsters.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_oldone.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/mode_elimination.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/music.qc
   M /trunk/dpmod/qc/plats.qc
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/playermovement.qc
   M /trunk/dpmod/qc/raddamage.qc
   M /trunk/dpmod/qc/rain.qc
   M /trunk/dpmod/qc/regen.qc
   M /trunk/dpmod/qc/rotate.qc
   M /trunk/dpmod/qc/shake.qc
   M /trunk/dpmod/qc/spike.qc
   M /trunk/dpmod/qc/spotlights.qc
   M /trunk/dpmod/qc/sprintnumdigits.qc
   M /trunk/dpmod/qc/sqrt.qc
   M /trunk/dpmod/qc/stats.qc
   M /trunk/dpmod/qc/subs.qc
   M /trunk/dpmod/qc/superdamagesound.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/t_radiusdamage.qc
   M /trunk/dpmod/qc/teamplay.qc
   M /trunk/dpmod/qc/think.qc
   M /trunk/dpmod/qc/trig_original.qc
   M /trunk/dpmod/qc/trig_playercount.qc
   M /trunk/dpmod/qc/trig_stuffcmd.qc
   M /trunk/dpmod/qc/trig_ticker.qc
   M /trunk/dpmod/qc/util.qc
   M /trunk/dpmod/qc/visibleweapons.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_grapple.qc
   M /trunk/dpmod/qc/waypoint_spawnformap.qc
   M /trunk/dpmod/qc/world.qc
   M /trunk/dpmod/qc/xplowall.qc

fix newlines

------------------------------------------------------------------------
r3999 | havoc | 2004-03-09 22:35:16 -0800 (Tue, 09 Mar 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_EF_NOSHADOW and DP_SV_ROTATINGBMODEL extension descriptions

------------------------------------------------------------------------
r3948 | havoc | 2004-03-01 16:23:25 -0800 (Mon, 01 Mar 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

revised TENEBRAE_GFX_DLIGHTS extension to have PFLAG_ constants, and better explain the switch from EF_FULLDYNAMIC to PFLAG_FULLDYNAMIC

------------------------------------------------------------------------
r3932 | havoc | 2004-02-26 18:10:18 -0800 (Thu, 26 Feb 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added TENEBRAE_GFX_DLIGHTS extension

------------------------------------------------------------------------
r3928 | havoc | 2004-02-25 12:14:25 -0800 (Wed, 25 Feb 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/maps/b_batt0.bsp
   M /trunk/dpmod/maps/b_batt1.bsp
   M /trunk/dpmod/maps/b_bh10.bsp
   M /trunk/dpmod/maps/b_bh100.bsp
   M /trunk/dpmod/maps/b_bh25.bsp
   M /trunk/dpmod/maps/b_exbox2.bsp
   M /trunk/dpmod/maps/b_explob.bsp
   M /trunk/dpmod/maps/b_nail0.bsp
   M /trunk/dpmod/maps/b_nail1.bsp
   M /trunk/dpmod/maps/b_rock0.bsp
   M /trunk/dpmod/maps/b_rock1.bsp
   M /trunk/dpmod/maps/b_shell0.bsp
   M /trunk/dpmod/maps/b_shell1.bsp

make them binary

------------------------------------------------------------------------
r3927 | havoc | 2004-02-25 12:12:44 -0800 (Wed, 25 Feb 2004) | 2 lines
Changed paths:
   A /trunk/dpmod/maps/b_batt0.bsp
   A /trunk/dpmod/maps/b_batt1.bsp
   A /trunk/dpmod/maps/b_bh10.bsp
   A /trunk/dpmod/maps/b_bh100.bsp
   A /trunk/dpmod/maps/b_bh25.bsp
   A /trunk/dpmod/maps/b_exbox2.bsp
   A /trunk/dpmod/maps/b_explob.bsp
   A /trunk/dpmod/maps/b_nail0.bsp
   A /trunk/dpmod/maps/b_nail1.bsp
   A /trunk/dpmod/maps/b_rock0.bsp
   A /trunk/dpmod/maps/b_rock1.bsp
   A /trunk/dpmod/maps/b_shell0.bsp
   A /trunk/dpmod/maps/b_shell1.bsp

Tomaz's ammo box models (these are really mdl files but named .bsp to override the id1 files)

------------------------------------------------------------------------
r3844 | havoc | 2004-01-29 16:08:13 -0800 (Thu, 29 Jan 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/decals.qc
   M /trunk/dpmod/qc/explosion.qc
   M /trunk/dpmod/qc/fire.qc
   M /trunk/dpmod/qc/fireball.qc
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/laser.qc
   M /trunk/dpmod/qc/m_boss.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/m_zombie.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/misc.qc
   M /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/playermovement.qc
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/t_radiusdamage.qc
   M /trunk/dpmod/qc/trig_original.qc
   M /trunk/dpmod/qc/w_system.qc
   M /trunk/dpmod/qc/xplowall.qc

more experimental weapon stuff (and yes most of the changes are the addition of a force parameter to T_RadiusDamage and all things which call it, and all things which call those things, and ...)

------------------------------------------------------------------------
r3843 | havoc | 2004-01-28 13:40:37 -0800 (Wed, 28 Jan 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/w_system.qc

experimental new weapons enabled

------------------------------------------------------------------------
r3834 | havoc | 2004-01-25 05:09:11 -0800 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/default.cfg

comment out commands not currently supported by the engine to reduce warnings

------------------------------------------------------------------------
r3816 | havoc | 2004-01-20 03:15:49 -0800 (Tue, 20 Jan 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/raddamage.qc

CanDamage tracelines need to use inflictor, not self (thanks to Urre for finding this bug)

------------------------------------------------------------------------
r3800 | havoc | 2004-01-11 05:46:33 -0800 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

added a bunch of experimental weapons (set temp1 to 8388608 and sv_cheats to 1, and then use impulse 234 to try them)

------------------------------------------------------------------------
r3799 | havoc | 2004-01-11 05:37:01 -0800 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/visibleweapons.qc

uncommented VWEP_AXE constant

------------------------------------------------------------------------
r3798 | havoc | 2004-01-11 05:35:42 -0800 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/inventory.qc

added a bunch of itemclasses, and more importantly changed Inventory_AdjustQuantity to not exceed ammo limits

------------------------------------------------------------------------
r3797 | havoc | 2004-01-11 05:33:21 -0800 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

added impulse 23 for testing EF_FULLBRIGHT in engine

------------------------------------------------------------------------
r3741 | havoc | 2003-12-17 05:22:16 -0800 (Wed, 17 Dec 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_demon.qc

fixed a bug that was causing CheckDemonJump to malfunction (it was forgetting to do makevectors before checking the jump), the fiends are hopping mad again

------------------------------------------------------------------------
r3726 | havoc | 2003-12-16 03:08:07 -0800 (Tue, 16 Dec 2003) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

added cvar_string extension at the request of Paul Timofeyev

------------------------------------------------------------------------
r3717 | black | 2003-12-10 05:39:24 -0800 (Wed, 10 Dec 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/readme

Little test #2

------------------------------------------------------------------------
r3715 | black | 2003-12-09 12:51:50 -0800 (Tue, 09 Dec 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/readme

little test

------------------------------------------------------------------------
r3696 | havoc | 2003-12-07 01:48:29 -0800 (Sun, 07 Dec 2003) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/darkplaces/todo
   M /trunk/dpmod/qc/dpextensions.qc

added DP_LITSUPPORT extension

------------------------------------------------------------------------
r3660 | havoc | 2003-11-19 03:18:52 -0800 (Wed, 19 Nov 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

very very minor fix for the case when there is no self.weaponclass (this of course has never happened) it should be checking if (self.weaponclass) not if (self.weaponclass.w_func)

------------------------------------------------------------------------
r3655 | havoc | 2003-11-18 10:12:43 -0800 (Tue, 18 Nov 2003) | 2 lines
Changed paths:
   D /trunk/dpmod/qc/w_common.qc
   D /trunk/dpmod/qc/w_dbshotgun.qc
   D /trunk/dpmod/qc/w_fake1.qc
   D /trunk/dpmod/qc/w_fake10.qc
   D /trunk/dpmod/qc/w_frame.qc
   D /trunk/dpmod/qc/w_grenade.qc
   D /trunk/dpmod/qc/w_info.qc
   D /trunk/dpmod/qc/w_lightning.qc
   D /trunk/dpmod/qc/w_nailgun.qc
   D /trunk/dpmod/qc/w_oldplasmarifle.qc
   D /trunk/dpmod/qc/w_pistol.qc
   D /trunk/dpmod/qc/w_plasmarifle.qc
   D /trunk/dpmod/qc/w_plasmawave.qc
   D /trunk/dpmod/qc/w_rocket.qc
   D /trunk/dpmod/qc/w_shotgun.qc
   D /trunk/dpmod/qc/w_supernailgun.qc

remove the old obsolete weapon files

------------------------------------------------------------------------
r3654 | havoc | 2003-11-18 10:02:40 -0800 (Tue, 18 Nov 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_system.qc

move laser rifle to the right spot in the list so it cycles properly

------------------------------------------------------------------------
r3652 | havoc | 2003-11-18 08:33:55 -0800 (Tue, 18 Nov 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/w_system.qc

fixed weapon change animations, commented out debugging messages, added back plasma wave, nailgun altfire mines, and display of weapons and ammo on statusbar

------------------------------------------------------------------------
r3651 | havoc | 2003-11-17 19:32:47 -0800 (Mon, 17 Nov 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/cheatcode.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/spike.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/w_common.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_frame.qc
   M /trunk/dpmod/qc/w_grapple.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_info.qc
   M /trunk/dpmod/qc/w_lightning.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_plasmawave.qc
   M /trunk/dpmod/qc/w_rocket.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc
   A /trunk/dpmod/qc/w_system.qc

weapon code has been migrated to using inventory instead of IT_ flags, this meant recoding all the weapons in the new w_system.qc - note some weapons added, some not yet re-added, and some have missing altfires and such, and statusbar has no inventory info working (this will be fixed later)

------------------------------------------------------------------------
r3621 | black | 2003-10-31 11:27:17 -0800 (Fri, 31 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/mbuiltin.qc
   M /trunk/dpmod/qc/menu/mmanager.qc

Added the isfunction builtin function to mbuilin.qc and adapted menu manager.

------------------------------------------------------------------------
r3619 | black | 2003-10-31 07:09:16 -0800 (Fri, 31 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/cursor.qc
   M /trunk/dpmod/qc/menu/cursor.qh
   M /trunk/dpmod/qc/menu/mcontrols.qc
   M /trunk/dpmod/qc/menu/mcustom.qc
   M /trunk/dpmod/qc/menu/mcustom.qh
   M /trunk/dpmod/qc/menu/menu.qc
   M /trunk/dpmod/qc/menu/mfuncs.qc
   M /trunk/dpmod/qc/menu/mmanager.qc
   M /trunk/dpmod/qc/menu/mmanager.qh
   M /trunk/dpmod/qc/menu/msys.qc
   M /trunk/dpmod/qc/menu/readme

Changed classname into type, added destroy events to all controls and used callfunction for the first time

------------------------------------------------------------------------
r3618 | black | 2003-10-31 07:07:33 -0800 (Fri, 31 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/menu/main.menu
   M /trunk/dpmod/menu/options.menu

Changed classname into type

------------------------------------------------------------------------
r3617 | black | 2003-10-30 08:43:47 -0800 (Thu, 30 Oct 2003) | 2 lines
Changed paths:
   A /trunk/dpmod/menu
   A /trunk/dpmod/menu/main.menu
   A /trunk/dpmod/menu/options.menu

The main and the first option menu is done.

------------------------------------------------------------------------
r3616 | black | 2003-10-30 06:05:54 -0800 (Thu, 30 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/cursor.qc
   M /trunk/dpmod/qc/menu/cursor.qh
   M /trunk/dpmod/qc/menu/mbuiltin.qc
   M /trunk/dpmod/qc/menu/mcontrols.qc
   M /trunk/dpmod/qc/menu/mcontrols.qh
   M /trunk/dpmod/qc/menu/mcustom.qc
   M /trunk/dpmod/qc/menu/mcustom.qh
   M /trunk/dpmod/qc/menu/mfuncs.qc
   M /trunk/dpmod/qc/menu/mfuncs.qh
   M /trunk/dpmod/qc/menu/mmanager.qc
   M /trunk/dpmod/qc/menu/mmanager.qh
   M /trunk/dpmod/qc/menu/msys.qc
   A /trunk/dpmod/qc/menu/readme

Added a lot and changed almost everything

------------------------------------------------------------------------
r3610 | black | 2003-10-26 13:58:14 -0800 (Sun, 26 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/mcontrols.qc
   M /trunk/dpmod/qc/menu/mcontrols.qh
   M /trunk/dpmod/qc/menu/mcustom.qc
   M /trunk/dpmod/qc/menu/menu.qc
   M /trunk/dpmod/qc/menu/mfuncs.qc
   M /trunk/dpmod/qc/menu/mfuncs.qh
   M /trunk/dpmod/qc/menu/mmanager.qc

Added 3 controls (ITEM_SLIDER, ITEM_TEXTSLIDER, ITEM_TEXTSWITCH) and cleaned the constant chaos in mcontrol.qh.

------------------------------------------------------------------------
r3607 | black | 2003-10-25 09:24:23 -0700 (Sat, 25 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/cursor.qh
   M /trunk/dpmod/qc/menu/graphic.qc
   M /trunk/dpmod/qc/menu/mbuiltin.qc
   M /trunk/dpmod/qc/menu/mcontrols.qc
   M /trunk/dpmod/qc/menu/mcontrols.qh
   M /trunk/dpmod/qc/menu/mcustom.qc
   M /trunk/dpmod/qc/menu/mfuncs.qc
   M /trunk/dpmod/qc/menu/mmanager.qc
   M /trunk/dpmod/qc/menu/mmanager.qh

Added two new controls ITEM_TEXTBUTTON and ITEM_BUTTON(unfortunately untested yet) and changed again the code of the menu manager

------------------------------------------------------------------------
r3606 | black | 2003-10-24 11:14:33 -0700 (Fri, 24 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/cursor.qc
   M /trunk/dpmod/qc/menu/cursor.qh
   M /trunk/dpmod/qc/menu/graphic.qc
   M /trunk/dpmod/qc/menu/graphic.qh
   M /trunk/dpmod/qc/menu/mbuiltin.qc
   M /trunk/dpmod/qc/menu/mcontrols.qc
   M /trunk/dpmod/qc/menu/mcontrols.qh
   A /trunk/dpmod/qc/menu/mcustom.qc
   A /trunk/dpmod/qc/menu/mcustom.qh
   M /trunk/dpmod/qc/menu/menu.qc
   M /trunk/dpmod/qc/menu/menu.qh
   M /trunk/dpmod/qc/menu/mfuncs.qc
   M /trunk/dpmod/qc/menu/mfuncs.qh
   M /trunk/dpmod/qc/menu/mmanager.qc
   M /trunk/dpmod/qc/menu/mmanager.qh
   M /trunk/dpmod/qc/menu/progs.src
   M /trunk/dpmod/qc/menu/sound.qc
   M /trunk/dpmod/qc/menu/sound.qh

Some minor changes

------------------------------------------------------------------------
r3603 | black | 2003-10-23 12:43:42 -0700 (Thu, 23 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/graphic.qc
   M /trunk/dpmod/qc/menu/graphic.qh
   M /trunk/dpmod/qc/menu/mcontrols.qc
   M /trunk/dpmod/qc/menu/mcontrols.qh
   M /trunk/dpmod/qc/menu/menu.qc
   M /trunk/dpmod/qc/menu/mfuncs.qc
   M /trunk/dpmod/qc/menu/mfuncs.qh
   M /trunk/dpmod/qc/menu/mmanager.qc
   M /trunk/dpmod/qc/menu/mmanager.qh
   M /trunk/dpmod/qc/menu/progs.src

Done a lot of things - many functions are now debugged and/or rewritten

------------------------------------------------------------------------
r3595 | black | 2003-10-21 05:03:27 -0700 (Tue, 21 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/cursor.qc
   M /trunk/dpmod/qc/menu/cursor.qh
   A /trunk/dpmod/qc/menu/graphic.qc
   A /trunk/dpmod/qc/menu/graphic.qh
   M /trunk/dpmod/qc/menu/mbuiltin.qc
   M /trunk/dpmod/qc/menu/mcontrols.qc
   M /trunk/dpmod/qc/menu/mcontrols.qh
   M /trunk/dpmod/qc/menu/menu.qc
   M /trunk/dpmod/qc/menu/menu.qh
   M /trunk/dpmod/qc/menu/mfuncs.qc
   M /trunk/dpmod/qc/menu/mfuncs.qh
   M /trunk/dpmod/qc/menu/mmanager.qc
   M /trunk/dpmod/qc/menu/mmanager.qh
   M /trunk/dpmod/qc/menu/msys.qc
   M /trunk/dpmod/qc/menu/progs.src
   M /trunk/dpmod/qc/menu/sound.qc
   M /trunk/dpmod/qc/menu/sound.qh

Now the gfx 'backend' works (the menu is now independent of the console resolution)

------------------------------------------------------------------------
r3592 | black | 2003-10-18 13:29:33 -0700 (Sat, 18 Oct 2003) | 4 lines
Changed paths:
   A /trunk/dpmod/qc/menu/cursor.qc
   A /trunk/dpmod/qc/menu/cursor.qh
   M /trunk/dpmod/qc/menu/mbuiltin.qc
   A /trunk/dpmod/qc/menu/mcontrols.qc
   A /trunk/dpmod/qc/menu/mcontrols.qh
   A /trunk/dpmod/qc/menu/menu.qc
   A /trunk/dpmod/qc/menu/menu.qh
   A /trunk/dpmod/qc/menu/mfuncs.qc
   A /trunk/dpmod/qc/menu/mfuncs.qh
   A /trunk/dpmod/qc/menu/mmanager.qc
   A /trunk/dpmod/qc/menu/mmanager.qh
   M /trunk/dpmod/qc/menu/msys.qc
   M /trunk/dpmod/qc/menu/progs.src
   A /trunk/dpmod/qc/menu/sound.qc
   A /trunk/dpmod/qc/menu/sound.qh

Not working yet.
Mini-Framework - perhaps Electro can use some parts of it, if I dont finish
till tomorrow.

------------------------------------------------------------------------
r3590 | black | 2003-10-17 07:05:13 -0700 (Fri, 17 Oct 2003) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/menu/mbuiltin.qc
   M /trunk/dpmod/qc/menu/msys.qc
   M /trunk/dpmod/qc/menu/progs.src

Updated mbuiltin mainly (all builtin functions are set).
Added a lot of constants to msys.

------------------------------------------------------------------------
r3575 | havoc | 2003-10-10 22:37:47 -0700 (Fri, 10 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc
   M /trunk/dpmod/qc/w_frame.qc

added DP_QC_TRACE_MOVETYPES extension (purely documentation), DP_QC_TRACE_MOVETYPE_WORLDONLY extension, DP_QC_TRACE_MOVETYPE_HITMODEL extension, and test code for DP_QC_TRACE_MOVETYPE_HITMODEL extension

------------------------------------------------------------------------
r3574 | havoc | 2003-10-10 22:36:29 -0700 (Fri, 10 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

removed EF_FLAME from test dummies

------------------------------------------------------------------------
r3573 | havoc | 2003-10-10 22:35:51 -0700 (Fri, 10 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/world.qc

kill anything stuck in solid (mainly a workaround for monsters falling out of level in deathmatch 7)

------------------------------------------------------------------------
r3559 | black | 2003-10-09 12:52:21 -0700 (Thu, 09 Oct 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/menu/msys.qc
   M /trunk/dpmod/qc/menu/progs.src

Added some constants to msys.qc

------------------------------------------------------------------------
r3540 | black | 2003-10-06 11:43:30 -0700 (Mon, 06 Oct 2003) | 2 lines
Changed paths:
   A /trunk/dpmod/qc/menu
   A /trunk/dpmod/qc/menu/mbuiltin.qc
   A /trunk/dpmod/qc/menu/msys.qc
   A /trunk/dpmod/qc/menu/progs.src

Adding menu qc files

------------------------------------------------------------------------
r3467 | havoc | 2003-09-18 11:37:33 -0700 (Thu, 18 Sep 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/playermovement.qc

very unimportant fix to make this compile in stock qcc as well as frikqcc (it was missing a ; at the end)

------------------------------------------------------------------------
r3423 | havoc | 2003-08-28 05:56:38 -0700 (Thu, 28 Aug 2003) | 2 lines
Changed paths:
   D /trunk/dpmod/qc/havocbotold_qcwaypoints.qc
   D /trunk/dpmod/qc/havocbotold_qcwaysurfaces.qc

these two files haven't been used for a long time, just old code

------------------------------------------------------------------------
r3422 | havoc | 2003-08-28 05:55:22 -0700 (Thu, 28 Aug 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/trig_original.qc

fixed jumppads to act more like q3 (calculates trajectory based on player origin)

------------------------------------------------------------------------
r3382 | havoc | 2003-08-09 09:53:46 -0700 (Sat, 09 Aug 2003) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc

tweaked tarbabies (larger explosion, easier to kill)
tweaked ammo dropped by monsters (more of it)

------------------------------------------------------------------------
r3381 | havoc | 2003-08-09 09:20:28 -0700 (Sat, 09 Aug 2003) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/dpextensions.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/playermovement.qc
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/w_common.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_info.qc
   M /trunk/dpmod/qc/w_lightning.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_plasmawave.qc
   M /trunk/dpmod/qc/w_rocket.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc
   M /trunk/dpmod/qc/world.qc

cleaned up some weapon code related to havocbot aiming (each weapon aims itself now)
cleaned up some damage scaling code (fixing the bugs that made monsters too tough)
added WR_SWITCH request to clean up a little code

------------------------------------------------------------------------
r3353 | havoc | 2003-07-30 17:42:56 -0700 (Wed, 30 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

updated DP_GFX_SKINFILES extension to describe quake3 syntax skin files

------------------------------------------------------------------------
r3342 | havoc | 2003-07-27 00:01:19 -0700 (Sun, 27 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_shotgun.qc

removed explosive slugs from the shotguns (and explosive shell ammo is gone as well)

------------------------------------------------------------------------
r3341 | havoc | 2003-07-26 23:19:17 -0700 (Sat, 26 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/m_monsters.qc

fixed empty backpack bug (by reverting to using items for ammo) and made monsters convert their quake inventory to inventory when spawning (just incase anyone put an ammo count in the monster entity)

------------------------------------------------------------------------
r3336 | havoc | 2003-07-26 21:50:57 -0700 (Sat, 26 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

updated DP_GFX_SKINFILES extension to properly describe the new handling of nodraw

------------------------------------------------------------------------
r3334 | havoc | 2003-07-26 02:35:07 -0700 (Sat, 26 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

clarified SKINFILES extension to mention that it replaces a shader based on a meshname

------------------------------------------------------------------------
r3326 | havoc | 2003-07-25 02:19:31 -0700 (Fri, 25 Jul 2003) | 2 lines
Changed paths:
   M /trunk/darkplaces/pr_cmds.c
   M /trunk/dpmod/qc/dpextensions.qc

added DP_GFX_SKINFILES and DP_GFX_QUAKE3MODELTAGS extensions

------------------------------------------------------------------------
r3313 | havoc | 2003-07-22 12:21:20 -0700 (Tue, 22 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

renumbered TE_SMALLFLASH and TE_CUSTOMFLASH to their proper numbers 72 and 73 (anyone using the te_ builtins need not worry about this), thanks to SeienAbunae for finding this bug

------------------------------------------------------------------------
r3287 | havoc | 2003-07-18 12:08:39 -0700 (Fri, 18 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/fireball.qc
   M /trunk/dpmod/qc/item_artifacts.qc
   M /trunk/dpmod/qc/regen.qc
   M /trunk/dpmod/qc/t_damage.qc

Fury (potentially eternal) reverted to Quad (30 second)

------------------------------------------------------------------------
r3283 | havoc | 2003-07-16 09:08:50 -0700 (Wed, 16 Jul 2003) | 2 lines
Changed paths:
   A /trunk/dpmod/progs/bit.mdl

forgot this!

------------------------------------------------------------------------
r3282 | havoc | 2003-07-16 05:16:45 -0700 (Wed, 16 Jul 2003) | 5 lines
Changed paths:
   M /trunk/dpmod/default.cfg
   M /trunk/dpmod/qc/gibcomments.qc
   M /trunk/dpmod/qc/item_sigil.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_boss.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_dog.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_fish.qc
   M /trunk/dpmod/qc/m_hknight.qc
   M /trunk/dpmod/qc/m_knight.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shalrath.qc
   M /trunk/dpmod/qc/m_shambler.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/m_tarbaby.qc
   M /trunk/dpmod/qc/m_wizard.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_grapple.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_lightning.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_oldplasmarifle.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_plasmawave.qc
   M /trunk/dpmod/qc/w_rocket.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc
   M /trunk/dpmod/qc/world.qc

moved damagescale code to T_Damage and made it more clear that it is for players only by naming it playerdamagescale
coop setting no longer scales monster health per say, but instead damage received from players, and thus migrates to T_Damage as well, this means coop setting can change during a level
bullet speeds raised a bit
sv_maxvelocity raised to 100000 (approximately mach 15 I think?)

------------------------------------------------------------------------
r3253 | havoc | 2003-07-12 04:42:31 -0700 (Sat, 12 Jul 2003) | 2 lines
Changed paths:
   A /trunk/dpmod/progs/tar_gib.mdl
   M /trunk/dpmod/qc/m_tarbaby.qc

tarbaby gibs make a comeback

------------------------------------------------------------------------
r3252 | havoc | 2003-07-12 04:41:49 -0700 (Sat, 12 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

documented DP_HALFLIFE_MAP_CVAR extension

------------------------------------------------------------------------
r3251 | havoc | 2003-07-12 04:40:40 -0700 (Sat, 12 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc

frags and obit messages for monsters in deathmatch

------------------------------------------------------------------------
r3247 | havoc | 2003-07-12 03:02:55 -0700 (Sat, 12 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/domination.qc
   M /trunk/dpmod/qc/havocbot_roles.qc
   M /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_info.qc
   M /trunk/dpmod/qc/w_lightning.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_oldplasmarifle.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_plasmawave.qc
   M /trunk/dpmod/qc/w_rocket.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc

inventory... changed...

------------------------------------------------------------------------
r3244 | havoc | 2003-07-12 03:02:09 -0700 (Sat, 12 Jul 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

added DP_GFX_EXTERNALTEXTURES extension documentation

------------------------------------------------------------------------
r3097 | havoc | 2003-06-23 03:21:15 -0700 (Mon, 23 Jun 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_ogre.qc

make ogre grenades detonate on impact with creatures

------------------------------------------------------------------------
r3085 | havoc | 2003-06-11 02:07:37 -0700 (Wed, 11 Jun 2003) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/dpextensions.qc
   M /trunk/dpmod/qc/havocbot_roles.qc
   M /trunk/dpmod/qc/havocbotold_qcwaypoints.qc
   M /trunk/dpmod/qc/havocbotold_qcwaysurfaces.qc
   A /trunk/dpmod/qc/inventory.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_backpacks.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/modedefs.qc
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_frame.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_info.qc
   M /trunk/dpmod/qc/w_lightning.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_oldplasmarifle.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_plasmawave.qc
   M /trunk/dpmod/qc/w_rocket.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc

small change (hah!) - .ammo_shells, .ammo_nails, .ammo_rockets, .ammo_cells, and .ammo_xshells ceased to exist (except for updateammodisplay), replaced by a general item system which will grow to be far more useful than just keeping track of ammo counts, but it has to start somewhere...  inventory.qc contains the relevant functions.
grenade launcher now fires impact grenades (again) because pipebombs just weren't very useful and the bots were clueless about them anyway

------------------------------------------------------------------------
r3078 | havoc | 2003-06-08 01:02:48 -0700 (Sun, 08 Jun 2003) | 5 lines
Changed paths:
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/w_common.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_frame.qc
   M /trunk/dpmod/qc/w_grapple.qc
   M /trunk/dpmod/qc/w_grenade.qc
   A /trunk/dpmod/qc/w_lightning.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   A /trunk/dpmod/qc/w_plasmawave.qc
   M /trunk/dpmod/qc/w_rocket.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc

changed how weapon firing works again (the W_ShotsToFire function returns how many shots to fire this frame, moves a bit more of the work to the individual weapon code)
modified the weapons (I don't even remember what changes I made, sorry)
added lightning gun back
and...  the long awaited return of the plasma wave cannon; never before seen in a public release

------------------------------------------------------------------------
r3077 | havoc | 2003-06-08 00:56:31 -0700 (Sun, 08 Jun 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

added a test for KRIMZON_SV_PARSECLIENTCOMMAND

------------------------------------------------------------------------
r3076 | havoc | 2003-06-08 00:54:16 -0700 (Sun, 08 Jun 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/halflife.qc
   M /trunk/dpmod/qc/playermovement.qc

added support for swimming in halflife water entities

------------------------------------------------------------------------
r3075 | havoc | 2003-06-08 00:52:47 -0700 (Sun, 08 Jun 2003) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

documented more extensions
added credits to each extension (for whose idea it was, and who coded the darkplaces implementation)

------------------------------------------------------------------------
r3074 | havoc | 2003-06-08 00:50:56 -0700 (Sun, 08 Jun 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/decors.qc

now removes up to 10000 decors per frame (yes this was necessary in helm18 when testing really insane weaponry)

------------------------------------------------------------------------
r2949 | havoc | 2003-04-14 15:24:04 -0700 (Mon, 14 Apr 2003) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

documented TW_STEPCONTROL which I had forgotten to document before
sorted extensions by name

------------------------------------------------------------------------
r2941 | havoc | 2003-04-09 20:24:30 -0700 (Wed, 09 Apr 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/havocbot.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_info.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc

weapon tweaks...  I can't remember what I did :P

------------------------------------------------------------------------
r2940 | havoc | 2003-04-09 20:22:35 -0700 (Wed, 09 Apr 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

added FRIK_FILE testing impulses

------------------------------------------------------------------------
r2939 | havoc | 2003-04-09 20:21:00 -0700 (Wed, 09 Apr 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/dpextensions.qc

updated extension list, added FRIK_FILE and other things

------------------------------------------------------------------------
r2898 | havoc | 2003-04-03 10:22:16 -0800 (Thu, 03 Apr 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/progs/casing_bronze.mdl
   M /trunk/dpmod/progs/casing_shell.mdl
   M /trunk/dpmod/progs/casing_steel.mdl

new casing models from Tomaz, they sit closer to the ground now and the shotgun shell is a bit shorter

------------------------------------------------------------------------
r2843 | havoc | 2003-03-15 22:01:00 -0800 (Sat, 15 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_plasmarifle.qc

added a self kill message for plasma rifle

------------------------------------------------------------------------
r2835 | havoc | 2003-03-11 12:48:00 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/progs/casing_bronze.mdl
   M /trunk/dpmod/progs/casing_shell.mdl
   M /trunk/dpmod/progs/casing_steel.mdl
   M /trunk/dpmod/progs/v_dplight.mdl
   M /trunk/dpmod/progs/v_dpnail.mdl
   M /trunk/dpmod/progs/v_dpnail2.mdl
   M /trunk/dpmod/progs/v_dprock.mdl
   M /trunk/dpmod/progs/v_dprock2.mdl
   M /trunk/dpmod/progs/v_dpshot.mdl
   M /trunk/dpmod/progs/v_dpshot2.mdl

new models from Tomaz, removed muzzleflash and other improvements to weapons, also the casings no longer float above the floor

------------------------------------------------------------------------
r2834 | havoc | 2003-03-11 11:31:32 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/casings.qc

casings are kicked around by blasts more

------------------------------------------------------------------------
r2833 | havoc | 2003-03-11 11:30:35 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/damage.qc

now spawn with 20 shells in DM and SP

------------------------------------------------------------------------
r2832 | havoc | 2003-03-11 11:28:59 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

added a couple thorough tests of viewmodelforclient

------------------------------------------------------------------------
r2831 | havoc | 2003-03-11 11:28:06 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/item_ammo.qc

don't spawn xshells boxes

------------------------------------------------------------------------
r2830 | havoc | 2003-03-11 11:27:11 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/item_weapons.qc

no longer gives xshells when picking up db shotgun

------------------------------------------------------------------------
r2829 | havoc | 2003-03-11 11:25:48 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_grenade.qc

smaller blast radius

------------------------------------------------------------------------
r2828 | havoc | 2003-03-11 11:24:43 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_pistol.qc

more powerful pistol

------------------------------------------------------------------------
r2827 | havoc | 2003-03-11 11:22:37 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_plasmarifle.qc

new triple barrel plasma cannon, barrels firing in sequence for rapid spew, or overload for hefty damage

------------------------------------------------------------------------
r2826 | havoc | 2003-03-11 11:21:25 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/t_damage.qc

monsters are now worth frags

------------------------------------------------------------------------
r2825 | havoc | 2003-03-11 11:18:26 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_rocket.qc

switched back to dual rocket launcher

------------------------------------------------------------------------
r2824 | havoc | 2003-03-11 11:17:24 -0800 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_shotgun.qc

rebalanced, now 50 damage per shell

------------------------------------------------------------------------
r2790 | havoc | 2003-02-27 21:15:12 -0800 (Thu, 27 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/w_grenade.qc

grenade launcher changed quite a bit (hit altfire to cycle modes or detonate sticky grenades)

------------------------------------------------------------------------
r2789 | havoc | 2003-02-27 21:14:15 -0800 (Thu, 27 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/explosion.qc

add a flash to the explosive slugs

------------------------------------------------------------------------
r2788 | havoc | 2003-02-27 21:13:31 -0800 (Thu, 27 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/rocket.qc

make explosions back off a bit from the impact point (mainly to make them look better (lighting up wall they hit), has some effect on damage however)

------------------------------------------------------------------------
r2785 | havoc | 2003-02-26 01:10:39 -0800 (Wed, 26 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

add note about +button4 to dphelp command

------------------------------------------------------------------------
r2780 | havoc | 2003-02-22 01:27:26 -0800 (Sat, 22 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_dbshotgun.qc

explosive slugs like the single barrel, a little weaker though (85 damage instead of 95 - that makes 170 for both barrels)

------------------------------------------------------------------------
r2779 | havoc | 2003-02-22 01:26:44 -0800 (Sat, 22 Feb 2003) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc

fix a very stupid uninitialized variable bug in havocbot_movetogoal
also change the velocity multiplier for lava/slime checks from 0.2 to 0.3, thanks to Electro's playtesting (he found this works perfectly for the moving platforms in dm2 and other lava pits)

------------------------------------------------------------------------
r2778 | havoc | 2003-02-22 00:32:07 -0800 (Sat, 22 Feb 2003) | 2 lines
Changed paths:
   A /trunk/dpmod/maps/dm6.rtlights
   A /trunk/dpmod/maps/dpdm2.rtlights
   A /trunk/dpmod/maps/e1m1.rtlights
   A /trunk/dpmod/maps/e1m2.rtlights
   A /trunk/dpmod/maps/e1m3.rtlights
   A /trunk/dpmod/maps/e1m4.rtlights
   A /trunk/dpmod/maps/e1m5.rtlights
   A /trunk/dpmod/maps/e1m6.rtlights
   A /trunk/dpmod/maps/e1m7.rtlights
   A /trunk/dpmod/maps/e4m6.rtlights
   A /trunk/dpmod/maps/start.rtlights

files to improve lighting in realtime lighting mode, especially lighting performance

------------------------------------------------------------------------
r2765 | havoc | 2003-02-20 01:04:45 -0800 (Thu, 20 Feb 2003) | 4 lines
Changed paths:
   M /trunk/dpmod/qc/ai.qc
   M /trunk/dpmod/qc/fight.qc
   M /trunk/dpmod/qc/world.qc

limited monster AI and creaturecode to only executing FindTarget and creaturecode and such on 200 creatures per frame
this massively sped up helm18
optimized monster AI a lot, merged functions, etc

------------------------------------------------------------------------
r2764 | havoc | 2003-02-20 01:02:21 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc

now keeps a list of active bots to avoid using find each frame

------------------------------------------------------------------------
r2763 | havoc | 2003-02-20 01:01:01 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/decors.qc
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/m_zombie.qc

optimized decor counting (now keeps count in numdecors instead of checking each frame, sped up helm18 a bit), limited number of iterations on decor removal in case it might cause a runaway loop

------------------------------------------------------------------------
r2762 | havoc | 2003-02-20 00:58:51 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/progs.src

forgot this in the weapon commit

------------------------------------------------------------------------
r2761 | havoc | 2003-02-20 00:58:15 -0800 (Thu, 20 Feb 2003) | 7 lines
Changed paths:
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc

shotgun added back (fires explosive slugs)
dbshotgun now fires only buckshot
pistol moved to slot 1
plasma rifle no longer has zoom button, altfire fires 3x shot power (same behavior as before when zoomed), recommend use of +button4 for zoom
grenade launcher now fires remote explosives (radio detonate with altfire or shoot them with a suitable weapon)
mines now do impact damage when they hit something

------------------------------------------------------------------------
r2760 | havoc | 2003-02-20 00:53:35 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc

calls checkinvalidteam(); now, forgot this from the mode_management.qc commit

------------------------------------------------------------------------
r2759 | havoc | 2003-02-20 00:52:35 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_monsters.qc

whitespace

------------------------------------------------------------------------
r2758 | havoc | 2003-02-20 00:51:54 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_hknight.qc

checking for a charge attack now uses visible() instead of enemy_vis (trying to narrow down enemy_vis to eliminate it)

------------------------------------------------------------------------
r2757 | havoc | 2003-02-20 00:49:38 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_dog.qc

demon jump improvements ported over

------------------------------------------------------------------------
r2756 | havoc | 2003-02-20 00:49:09 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_ogre.qc
   M /trunk/dpmod/qc/m_shambler.qc

unnecessary enemy_vis check

------------------------------------------------------------------------
r2755 | havoc | 2003-02-20 00:48:07 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_soldier.qc

some optimizations to CheckAttack code

------------------------------------------------------------------------
r2754 | havoc | 2003-02-20 00:44:59 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/mode_management.qc

no longer constantly updates team stats every frame, this gives a good speed boost on helm18

------------------------------------------------------------------------
r2753 | havoc | 2003-02-20 00:44:12 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_frame.qc

added .float idealzoom since this file uses it

------------------------------------------------------------------------
r2752 | havoc | 2003-02-20 00:42:18 -0800 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_wizard.qc

removed an unnecessary use of enemy_vis, and fixed AttackFinished to not use enemy_range and enemy_vis because they're not initialized at that point

------------------------------------------------------------------------
r2749 | havoc | 2003-02-13 18:47:16 -0800 (Thu, 13 Feb 2003) | 6 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/casings.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/damage.qc
   M /trunk/dpmod/qc/explosion.qc
   M /trunk/dpmod/qc/item_ammo.qc
   M /trunk/dpmod/qc/item_weapons.qc
   M /trunk/dpmod/qc/m_soldier.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/w_dbshotgun.qc
   A /trunk/dpmod/qc/w_fake1.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   A /trunk/dpmod/qc/w_oldplasmarifle.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc

I made these changes a long time ago but never committed them until now...  my memory is hazy on these...
single barreled shotgun is gone, now spawn with pistol as weapon 2 (weapon slot 1 empty)
added switchable modes on weapons, more specifically the double barreled shotgun can use explosive slugs (use +button5 to switch if I remember correctly)
plasma gun is reworked entirely again (rapid fire in bursts, altfire zooms and makes it fire more powerful shots but burst runs out sooner)
FireBullets reworked to take lots of parameters again (supporting old qcc's is pointless)

------------------------------------------------------------------------
r2748 | havoc | 2003-02-13 18:42:37 -0800 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/impulse_main.qc

more admin impulses added (slowmo, sys_ticrate, etc)

------------------------------------------------------------------------
r2747 | havoc | 2003-02-13 18:41:43 -0800 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_zombie.qc

zombies heal half as fast now

------------------------------------------------------------------------
r2746 | havoc | 2003-02-13 18:41:11 -0800 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/itemstuff.qc

no teleport splash for item respawns

------------------------------------------------------------------------
r2745 | havoc | 2003-02-13 18:40:20 -0800 (Thu, 13 Feb 2003) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/misc.qc

cleaned up exploding box code a lot (now uses shared code for most of it)
flames are static again

------------------------------------------------------------------------
r2744 | havoc | 2003-02-13 18:38:42 -0800 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_rocket.qc

fire triple spiral rockets less often (1.0 refire instead of 0.4)

------------------------------------------------------------------------
r2743 | havoc | 2003-02-13 18:33:52 -0800 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   A /trunk/dpmod/progs/casing_bronze.mdl
   A /trunk/dpmod/progs/casing_shell.mdl
   A /trunk/dpmod/progs/casing_steel.mdl

new casing models from Tomaz (thanks!)

------------------------------------------------------------------------
r2742 | havoc | 2003-02-13 18:30:23 -0800 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/player.qc

fix potential runaway loop on servers that have been running for a very long time (detected this bug because my server kept crashing eventually)

------------------------------------------------------------------------
r2636 | havoc | 2002-11-18 23:49:52 -0800 (Mon, 18 Nov 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/item_artifacts.qc
   M /trunk/dpmod/qc/regen.qc
   M /trunk/dpmod/qc/t_damage.qc

Quad has become Fury once again...  Fury is a vampiric quad with rapidly rotting health.

------------------------------------------------------------------------
r2627 | havoc | 2002-11-15 05:37:02 -0800 (Fri, 15 Nov 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_plasmarifle.qc

fixed plasma rifle "splattered" kill message

------------------------------------------------------------------------
r2626 | havoc | 2002-11-15 05:10:00 -0800 (Fri, 15 Nov 2002) | 2 lines
Changed paths:
   D /trunk/dpmod/qc/impulse_dead.qc

no longer used

------------------------------------------------------------------------
r2625 | havoc | 2002-11-15 04:59:54 -0800 (Fri, 15 Nov 2002) | 11 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/client.qc
   M /trunk/dpmod/qc/grenade.qc
   M /trunk/dpmod/qc/impulse_main.qc
   M /trunk/dpmod/qc/m_demon.qc
   M /trunk/dpmod/qc/m_enforcer.qc
   M /trunk/dpmod/qc/mine.qc
   M /trunk/dpmod/qc/mode_management.qc
   M /trunk/dpmod/qc/plasma.qc
   M /trunk/dpmod/qc/player.qc
   M /trunk/dpmod/qc/progs.src
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/t_damage.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_frame.qc
   M /trunk/dpmod/qc/w_grapple.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_rocket.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc

damagescale is now applied by the player weapons themselves, instead of the missile spawn code, this cures the monster weapon damage being affected by temp1 damage scaling
the view kick from damage now has a origin kick in addition to the angle kick
EvenWhenDeadImpulses is now merged into ImpulseCommands (this gets rid of impulse_dead.qc)
a few warnings fixed
simplified monster spawning code a bit - they no longer walk around before spawning
simplified fiend jump code a bit - they only care if jumping right now would hit the player (this makes them jump in even more situations :)
removed some cruft from the fiend jump code
weapon punchangle kicks now affect aiming
plasma rifle now has a " was splattered by " "'s plasma rifle" message
experimented with chargeup plasma rifle, but ended up reverting to mostly the same as before, except now it fires infrequently and hits a lot harder (120 damage for normal shot which costs 1 cell, 600 damage for sniper shot which costs 5 cells)

------------------------------------------------------------------------
r2624 | havoc | 2002-11-15 04:37:35 -0800 (Fri, 15 Nov 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/m_zombie.qc

fix zombie heads never recycling (this cures the problem with deathmatch 7 eventually running out of monsters)

------------------------------------------------------------------------
r2623 | havoc | 2002-11-15 02:44:27 -0800 (Fri, 15 Nov 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/explosion.qc

fixed a redeclaration of e in BecomeExplosion

------------------------------------------------------------------------
r2462 | havoc | 2002-09-28 01:25:44 -0700 (Sat, 28 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_rocket.qc

changed back to triple barrel spiral rocket launcher...  toned down spiral damage a bit however (120 for main rocket, 80 for the extra two, 280 total)

------------------------------------------------------------------------
r2461 | havoc | 2002-09-27 23:59:40 -0700 (Fri, 27 Sep 2002) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/w_rocket.qc

code for spiralling rockets (not used, because 3 rockets was just too powerful)
rocket launcher is now a dual rocket launcher - alternates left and right, or fire both with button3

------------------------------------------------------------------------
r2460 | havoc | 2002-09-27 23:45:24 -0700 (Fri, 27 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/sprintnumdigits.qc

whitespace

------------------------------------------------------------------------
r2459 | havoc | 2002-09-27 23:23:01 -0700 (Fri, 27 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/playermovement.qc

add back a little air control, need it for jumping up steps to work right (e1m1 secret at start for example)

------------------------------------------------------------------------
r2458 | havoc | 2002-09-27 23:19:15 -0700 (Fri, 27 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/w_frame.qc

fix website URL

------------------------------------------------------------------------
r2409 | havoc | 2002-09-21 04:10:01 -0700 (Sat, 21 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/dpdemo1.dem
   M /trunk/dpmod/dpdemo2.dem
   M /trunk/dpmod/gfx/conback.tga
   M /trunk/dpmod/progs/a_rock4.mdl
   M /trunk/dpmod/progs/a_rock8.mdl
   M /trunk/dpmod/progs/a_shell1.mdl
   M /trunk/dpmod/progs/a_shell2.mdl
   M /trunk/dpmod/progs/casing.mdl
   M /trunk/dpmod/progs/dpexplosion.spr32
   M /trunk/dpmod/progs/flag.mdl
   M /trunk/dpmod/progs/muzzleflash.spr32
   M /trunk/dpmod/progs/plasmashot.spr32
   M /trunk/dpmod/progs/playergun.mdl
   M /trunk/dpmod/progs/playernogun.mdl
   M /trunk/dpmod/progs/rubble1.mdl
   M /trunk/dpmod/progs/rubble2.mdl
   M /trunk/dpmod/progs/rubble3.mdl
   M /trunk/dpmod/progs/star.mdl
   M /trunk/dpmod/progs/torchflamebase.spr32
   M /trunk/dpmod/progs/torchflametop.spr32
   M /trunk/dpmod/progs/v_dplight.mdl
   M /trunk/dpmod/progs/v_dpnail.mdl
   M /trunk/dpmod/progs/v_dpnail2.mdl
   M /trunk/dpmod/progs/v_dprock.mdl
   M /trunk/dpmod/progs/v_dprock2.mdl
   M /trunk/dpmod/progs/v_dpshot.mdl
   M /trunk/dpmod/progs/v_dpshot2.mdl
   M /trunk/dpmod/sound/explo2.wav
   M /trunk/dpmod/sound/fire/burn.wav
   M /trunk/dpmod/sound/fire/launch.wav
   M /trunk/dpmod/sound/misc/flagcap.wav
   M /trunk/dpmod/sound/misc/flagtk.wav
   M /trunk/dpmod/sound/misc/foot1.wav
   M /trunk/dpmod/sound/misc/foot2.wav
   M /trunk/dpmod/sound/misc/foot3.wav
   M /trunk/dpmod/sound/misc/foot4.wav
   M /trunk/dpmod/sound/misc/foot5.wav
   M /trunk/dpmod/sound/misc/foot6.wav
   M /trunk/dpmod/sound/misc/foot7.wav
   M /trunk/dpmod/sound/plasma/plasexpl.wav
   M /trunk/dpmod/sound/plasma/plasma.wav
   M /trunk/dpmod/sound/weapons/bomb/fire.wav
   M /trunk/dpmod/sound/weapons/bomb/trigger.wav
   M /trunk/dpmod/sound/weapons/bounce2.wav
   M /trunk/dpmod/sound/weapons/bsgload.wav
   M /trunk/dpmod/sound/weapons/bsgnoammo.wav
   M /trunk/dpmod/sound/weapons/chain1.wav
   M /trunk/dpmod/sound/weapons/chain2.wav
   M /trunk/dpmod/sound/weapons/chain3.wav

trying to make these binary

------------------------------------------------------------------------
r2408 | havoc | 2002-09-21 03:10:16 -0700 (Sat, 21 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/gore.qc

don't attack corpses and heads

------------------------------------------------------------------------
r2407 | havoc | 2002-09-21 03:07:08 -0700 (Sat, 21 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc

don't shoot friends in coop

------------------------------------------------------------------------
r2405 | havoc | 2002-09-19 23:02:18 -0700 (Thu, 19 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/mine.qc

absolute velocity instead of relative

------------------------------------------------------------------------
r2404 | havoc | 2002-09-19 22:59:12 -0700 (Thu, 19 Sep 2002) | 10 lines
Changed paths:
   M /trunk/dpmod/qc/rocket.qc
   M /trunk/dpmod/qc/w_common.qc
   M /trunk/dpmod/qc/w_dbshotgun.qc
   M /trunk/dpmod/qc/w_defs.qc
   M /trunk/dpmod/qc/w_grapple.qc
   M /trunk/dpmod/qc/w_grenade.qc
   M /trunk/dpmod/qc/w_nailgun.qc
   M /trunk/dpmod/qc/w_pistol.qc
   M /trunk/dpmod/qc/w_plasmarifle.qc
   M /trunk/dpmod/qc/w_rocket.qc
   M /trunk/dpmod/qc/w_shotgun.qc
   M /trunk/dpmod/qc/w_supernailgun.qc

many weapon changes
plasma now has sort of a 'charge' behavior - if you stop firing the charge is reset to 8 cells, if you keep firing it depletes the charge, when it runs out it has to reload (takes just .2 seconds - 2 shots worth of time), if firing in sniper mode it depletes the entire remaining charge (presumably this is a full charge, since it's unlikely you would zoom in while firing rapidly)
rocket launcher can load up to 3 rockets (hold altfire until it has loaded 2, or 3, use primary to fire them)
rocket launcher now has a new death message for multiple rocket attacks - '* met a rocket storm from *'
grenade launcher primary fire is now impact grenades, altfire is proximity grenades
W_GenericFireCode has been split into W_GenericRapidFireCode (which keeps the existing behavior) and W_GenericSlowFireCode (which has none of the weird attack_finished hacking or other nuisances)
some cruft removed
some code cleaning
grenades no longer have momentum of player firing them (absolute velocity instead of relative)

------------------------------------------------------------------------
r2403 | havoc | 2002-09-19 22:51:04 -0700 (Thu, 19 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/bullets.qc
   M /trunk/dpmod/qc/plasma.qc

velocity is now absolute, not relative to owner

------------------------------------------------------------------------
r2402 | havoc | 2002-09-19 22:44:45 -0700 (Thu, 19 Sep 2002) | 3 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot.qc

lots of cruft removed
the floor surface navigation now works, the bots are playable in any simple map (bmodels are not understood, nor is water)

------------------------------------------------------------------------
r2401 | havoc | 2002-09-19 22:39:18 -0700 (Thu, 19 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/gore.qc
   M /trunk/dpmod/qc/t_damage.qc

allow damage to heads and gibs without causing th_die, this allows detection of severe gibbings from multiple rockets and other such situations

------------------------------------------------------------------------
r2400 | havoc | 2002-09-19 22:36:16 -0700 (Thu, 19 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/item_artifacts.qc

artifacts no longer glow

------------------------------------------------------------------------
r2399 | havoc | 2002-09-19 22:35:21 -0700 (Thu, 19 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/havocbot_roles.qc

removed lots of dead code

------------------------------------------------------------------------
r2398 | havoc | 2002-09-19 22:32:05 -0700 (Thu, 19 Sep 2002) | 2 lines
Changed paths:
   M /trunk/dpmod/qc/playermovement.qc

removed tabs on otherwise empty line

------------------------------------------------------------------------
r2393 | havoc | 2002-09-19 11:55:18 -0700 (Thu, 19 Sep 2002) | 2 lines
Changed paths:
   A /trunk/dpmod
   A /trunk/dpmod/default.cfg
   A /trunk/dpmod/dpdemo1.dem
   A /trunk/dpmod/dpdemo2.dem
   A /trunk/dpmod/gfx
   A /trunk/dpmod/gfx/conback.tga
   A /trunk/dpmod/maps
   A /trunk/dpmod/maps/dpdm1.bsp
   A /trunk/dpmod/maps/dpdm1.lights
   A /trunk/dpmod/maps/dpdm1.lit
   A /trunk/dpmod/maps/dpdm2.bsp
   A /trunk/dpmod/maps/dpdm2.lights
   A /trunk/dpmod/maps/dpdm2.lit
   A /trunk/dpmod/progs
   A /trunk/dpmod/progs/a_rock4.mdl
   A /trunk/dpmod/progs/a_rock8.mdl
   A /trunk/dpmod/progs/a_shell1.mdl
   A /trunk/dpmod/progs/a_shell2.mdl
   A /trunk/dpmod/progs/casing.mdl
   A /trunk/dpmod/progs/dpexplosion.spr32
   A /trunk/dpmod/progs/flag.mdl
   A /trunk/dpmod/progs/muzzleflash.spr32
   A /trunk/dpmod/progs/plasmashot.spr32
   A /trunk/dpmod/progs/playergun.mdl
   A /trunk/dpmod/progs/playernogun.mdl
   A /trunk/dpmod/progs/rubble1.mdl
   A /trunk/dpmod/progs/rubble2.mdl
   A /trunk/dpmod/progs/rubble3.mdl
   A /trunk/dpmod/progs/star.mdl
   A /trunk/dpmod/progs/torchflamebase.spr32
   A /trunk/dpmod/progs/torchflametop.spr32
   A /trunk/dpmod/progs/v_dplight.mdl
   A /trunk/dpmod/progs/v_dpnail.mdl
   A /trunk/dpmod/progs/v_dpnail2.mdl
   A /trunk/dpmod/progs/v_dprock.mdl
   A /trunk/dpmod/progs/v_dprock2.mdl
   A /trunk/dpmod/progs/v_dpshot.mdl
   A /trunk/dpmod/progs/v_dpshot2.mdl
   A /trunk/dpmod/qc
   A /trunk/dpmod/qc/CTF.qc
   A /trunk/dpmod/qc/ai.qc
   A /trunk/dpmod/qc/bullets.qc
   A /trunk/dpmod/qc/buttons.qc
   A /trunk/dpmod/qc/casings.qc
   A /trunk/dpmod/qc/cheatcode.qc
   A /trunk/dpmod/qc/client.qc
   A /trunk/dpmod/qc/damage.qc
   A /trunk/dpmod/qc/damagetype.qc
   A /trunk/dpmod/qc/darkp.qc
   A /trunk/dpmod/qc/decals.qc
   A /trunk/dpmod/qc/decors.qc
   A /trunk/dpmod/qc/defs.qc
   A /trunk/dpmod/qc/domination.qc
   A /trunk/dpmod/qc/doors.qc
   A /trunk/dpmod/qc/dpextensions.qc
   A /trunk/dpmod/qc/explosion.qc
   A /trunk/dpmod/qc/fight.qc
   A /trunk/dpmod/qc/finalarenamaps.qc
   A /trunk/dpmod/qc/fire.qc
   A /trunk/dpmod/qc/fireball.qc
   A /trunk/dpmod/qc/flash.qc
   A /trunk/dpmod/qc/fog.qc
   A /trunk/dpmod/qc/footstep.qc
   A /trunk/dpmod/qc/forcefield.qc
   A /trunk/dpmod/qc/gibcomments.qc
   A /trunk/dpmod/qc/gore.qc
   A /trunk/dpmod/qc/grenade.qc
   A /trunk/dpmod/qc/halflife.qc
   A /trunk/dpmod/qc/havocbot.qc
   A /trunk/dpmod/qc/havocbot_roles.qc
   A /trunk/dpmod/qc/havocbotold_qcwaypoints.qc
   A /trunk/dpmod/qc/havocbotold_qcwaysurfaces.qc
   A /trunk/dpmod/qc/impulse_dead.qc
   A /trunk/dpmod/qc/impulse_main.qc
   A /trunk/dpmod/qc/invisiblewall.qc
   A /trunk/dpmod/qc/item_ammo.qc
   A /trunk/dpmod/qc/item_armor.qc
   A /trunk/dpmod/qc/item_artifacts.qc
   A /trunk/dpmod/qc/item_backpacks.qc
   A /trunk/dpmod/qc/item_health.qc
   A /trunk/dpmod/qc/item_keys.qc
   A /trunk/dpmod/qc/item_legacystuff.qc
   A /trunk/dpmod/qc/item_sigil.qc
   A /trunk/dpmod/qc/item_weapons.qc
   A /trunk/dpmod/qc/itemstuff.qc
   A /trunk/dpmod/qc/lag.qc
   A /trunk/dpmod/qc/laser.qc
   A /trunk/dpmod/qc/lightning.qc
   A /trunk/dpmod/qc/localdamage.qc
   A /trunk/dpmod/qc/m_boss.qc
   A /trunk/dpmod/qc/m_demon.qc
   A /trunk/dpmod/qc/m_dog.qc
   A /trunk/dpmod/qc/m_enforcer.qc
   A /trunk/dpmod/qc/m_fish.qc
   A /trunk/dpmod/qc/m_hknight.qc
   A /trunk/dpmod/qc/m_knight.qc
   A /trunk/dpmod/qc/m_monsters.qc
   A /trunk/dpmod/qc/m_ogre.qc
   A /trunk/dpmod/qc/m_oldone.qc
   A /trunk/dpmod/qc/m_shalrath.qc
   A /trunk/dpmod/qc/m_shambler.qc
   A /trunk/dpmod/qc/m_soldier.qc
   A /trunk/dpmod/qc/m_tarbaby.qc
   A /trunk/dpmod/qc/m_wizard.qc
   A /trunk/dpmod/qc/m_zombie.qc
   A /trunk/dpmod/qc/mine.qc
   A /trunk/dpmod/qc/misc.qc
   A /trunk/dpmod/qc/mode_elimination.qc
   A /trunk/dpmod/qc/mode_management.qc
   A /trunk/dpmod/qc/modedefs.qc
   A /trunk/dpmod/qc/music.qc
   A /trunk/dpmod/qc/plasma.qc
   A /trunk/dpmod/qc/plats.qc
   A /trunk/dpmod/qc/player.qc
   A /trunk/dpmod/qc/playermovement.qc
   A /trunk/dpmod/qc/progs.src
   A /trunk/dpmod/qc/raddamage.qc
   A /trunk/dpmod/qc/rain.qc
   A /trunk/dpmod/qc/regen.qc
   A /trunk/dpmod/qc/rocket.qc
   A /trunk/dpmod/qc/rotate.qc
   A /trunk/dpmod/qc/shake.qc
   A /trunk/dpmod/qc/spike.qc
   A /trunk/dpmod/qc/spotlights.qc
   A /trunk/dpmod/qc/sprintnumdigits.qc
   A /trunk/dpmod/qc/sqrt.qc
   A /trunk/dpmod/qc/stats.qc
   A /trunk/dpmod/qc/subs.qc
   A /trunk/dpmod/qc/superdamagesound.qc
   A /trunk/dpmod/qc/t_damage.qc
   A /trunk/dpmod/qc/t_radiusdamage.qc
   A /trunk/dpmod/qc/teamplay.qc
   A /trunk/dpmod/qc/think.qc
   A /trunk/dpmod/qc/trig_original.qc
   A /trunk/dpmod/qc/trig_playercount.qc
   A /trunk/dpmod/qc/trig_stuffcmd.qc
   A /trunk/dpmod/qc/trig_ticker.qc
   A /trunk/dpmod/qc/util.qc
   A /trunk/dpmod/qc/visibleweapons.qc
   A /trunk/dpmod/qc/w_common.qc
   A /trunk/dpmod/qc/w_dbshotgun.qc
   A /trunk/dpmod/qc/w_defs.qc
   A /trunk/dpmod/qc/w_fake10.qc
   A /trunk/dpmod/qc/w_frame.qc
   A /trunk/dpmod/qc/w_grapple.qc
   A /trunk/dpmod/qc/w_grenade.qc
   A /trunk/dpmod/qc/w_info.qc
   A /trunk/dpmod/qc/w_nailgun.qc
   A /trunk/dpmod/qc/w_pistol.qc
   A /trunk/dpmod/qc/w_plasmarifle.qc
   A /trunk/dpmod/qc/w_rocket.qc
   A /trunk/dpmod/qc/w_shotgun.qc
   A /trunk/dpmod/qc/w_supernailgun.qc
   A /trunk/dpmod/qc/waypoint_spawnformap.qc
   A /trunk/dpmod/qc/world.qc
   A /trunk/dpmod/qc/xplowall.qc
   A /trunk/dpmod/quake.rc
   A /trunk/dpmod/sound
   A /trunk/dpmod/sound/explo2.wav
   A /trunk/dpmod/sound/fire
   A /trunk/dpmod/sound/fire/burn.wav
   A /trunk/dpmod/sound/fire/launch.wav
   A /trunk/dpmod/sound/misc
   A /trunk/dpmod/sound/misc/flagcap.wav
   A /trunk/dpmod/sound/misc/flagtk.wav
   A /trunk/dpmod/sound/misc/foot1.wav
   A /trunk/dpmod/sound/misc/foot2.wav
   A /trunk/dpmod/sound/misc/foot3.wav
   A /trunk/dpmod/sound/misc/foot4.wav
   A /trunk/dpmod/sound/misc/foot5.wav
   A /trunk/dpmod/sound/misc/foot6.wav
   A /trunk/dpmod/sound/misc/foot7.wav
   A /trunk/dpmod/sound/plasma
   A /trunk/dpmod/sound/plasma/plasexpl.wav
   A /trunk/dpmod/sound/plasma/plasma.wav
   A /trunk/dpmod/sound/weapons
   A /trunk/dpmod/sound/weapons/bomb
   A /trunk/dpmod/sound/weapons/bomb/fire.wav
   A /trunk/dpmod/sound/weapons/bomb/trigger.wav
   A /trunk/dpmod/sound/weapons/bounce2.wav
   A /trunk/dpmod/sound/weapons/bsgload.wav
   A /trunk/dpmod/sound/weapons/bsgnoammo.wav
   A /trunk/dpmod/sound/weapons/chain1.wav
   A /trunk/dpmod/sound/weapons/chain2.wav
   A /trunk/dpmod/sound/weapons/chain3.wav

Initial revision

------------------------------------------------------------------------
